(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     22679,        697]
NotebookOptionsPosition[     18300,        556]
NotebookOutlinePosition[     20397,        611]
CellTagsIndexPosition[     20312,        606]
WindowTitle->DBListSetToDataset - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["D B A P I SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"DBListSetToRuleSet\"\>":>
       Documentation`HelpLookup[
       "paclet:DBAPI/ref/DBListSetToRuleSet"], "\<\"DBListSetToAssociationSet\
\"\>":>Documentation`HelpLookup["paclet:DBAPI/ref/DBListSetToAssociationSet"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Utilities Package\"\>":>
       Documentation`HelpLookup["paclet:DBAPI/guide/UtilitiesPackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"DBAPI/ref/DBListSetToDataset\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["DBAPI/ref/DBListSetToDataset"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/DBAPI/ref/\
DBListSetToDataset.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "DBAPI/ref/DBListSetToDataset", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["DBListSetToDataset", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["DBListSetToDataset",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/DBListSetToDataset"], "[", 
       RowBox[{"Header", ",", " ", "Body"}], "]"}]], "InlineFormula"],
     " \[LineSeparator]converts a relational set represented with ",
     ButtonBox["List",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/List"],
     "(s) to an equivalent one represented as a table ",
     ButtonBox["Dataset",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Dataset"],
     " with named columns"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->139791773],

Cell[TextData[{
 StyleBox["Arguments :",
  FontWeight->"Bold"],
 "\nHeader is usually a ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of string items representing the columns of a table, i.e. keys\
\[LineSeparator]Body is a nested ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of values representing the rows of a table"
}], "Notes",
 CellID->88723942],

Cell[TextData[{
 StyleBox["Returns:",
  FontWeight->"Bold"],
 "\nA table ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 " with named columns"
}], "Notes",
 CellID->96909655]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->443652878],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->328975293],

Cell["Load Packages", "ExampleText",
 CellID->772149713],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "DBAPI`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->108474329],

Cell[CellGroupData[{

Cell[BoxData["\<\"Data Utilities Package v0.9\"\>"], "Print",
 CellLabel->"During evaluation of In[26]:=",
 CellID->712397054],

Cell[BoxData["\<\"(c) December 2015, By Athanassios I. Hatzis\\n\"\>"], \
"Print",
 CellLabel->"During evaluation of In[26]:=",
 CellID->71410424],

Cell[BoxData["\<\"OrientDB HTTP API Package v0.9\"\>"], "Print",
 CellLabel->"During evaluation of In[26]:=",
 CellID->89499581],

Cell[BoxData["\<\"(c) December 2015, By Athanassios I. Hatzis\\n\"\>"], \
"Print",
 CellLabel->"During evaluation of In[26]:=",
 CellID->233408668]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "The Stock relation set represented with a ",
 StyleBox["head",
  FontWeight->"Bold"],
 " (1st list with column names) and a ",
 StyleBox["body",
  FontWeight->"Bold"],
 " (lists of values)"
}], "ExampleText",
 CellID->140046681],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"stockRelSet", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<StockID\>\"", ",", "\"\<StockNameEN\>\"", ",", 
        "\"\<StockPrice\>\"", ",", "\"\<StockNameGR\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "991", ",", "\"\<Pinto Beans\>\"", ",", "11.1`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "992", ",", "\"\<Kidney Beans\>\"", ",", "9.85`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "993", ",", "\"\<White Beans\>\"", ",", "13.45`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "994", ",", "\"\<Wax Beans\>\"", ",", "18.72`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\>\""}], 
       "}"}]}], "}"}]}], ")"}], "//", "TableForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->208189987],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"StockID\"\>", "\<\"StockNameEN\"\>", "\<\"StockPrice\"\>", \
"\<\"StockNameGR\"\>"},
    {"991", "\<\"Pinto Beans\"\>", 
     "11.1`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha]\
 \[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\"\>"},
    {"992", "\<\"Kidney Beans\"\>", 
     "9.85`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha]\
 \[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\"\>"},
    {"993", "\<\"White Beans\"\>", 
     "13.45`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\"\>"},
    {"994", "\<\"Wax Beans\"\>", 
     "18.72`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\
\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{401, 76},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//TableForm=",
 CellID->134567492]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"head", "=", 
  RowBox[{"stockRelSet", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->199032751],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"StockID\"\>", ",", "\<\"StockNameEN\"\>", 
   ",", "\<\"StockPrice\"\>", ",", "\<\"StockNameGR\"\>"}], "}"}]], "Output",
 ImageSize->{324, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->411991379]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"body", "=", 
  RowBox[{"stockRelSet", "[", 
   RowBox[{"[", 
    RowBox[{"2", ";;"}], "]"}], "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->31692470],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "991", ",", "\<\"Pinto Beans\"\>", ",", "11.1`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "992", ",", "\<\"Kidney Beans\"\>", ",", "9.85`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "993", ",", "\<\"White Beans\"\>", ",", "13.45`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "994", ",", "\<\"Wax Beans\"\>", ",", "18.72`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\"\>"}], 
    "}"}]}], "}"}]], "Output",
 ImageSize->{586, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->120482662]
}, Open  ]],

Cell["Apply the transformation", "ExampleText",
 CellID->165679089],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DBListSetToDataset", "[", 
  RowBox[{
   RowBox[{"stockRelSet", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", 
   RowBox[{"stockRelSet", "[", 
    RowBox[{"[", 
     RowBox[{"2", ";;"}], "]"}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->134099957],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"StockID\"", 
        GrayLevel[0.3]], 
       StyleBox["\"StockNameEN\"", 
        GrayLevel[0.3]], 
       StyleBox["\"StockPrice\"", 
        GrayLevel[0.3]], 
       StyleBox["\"StockNameGR\"", 
        GrayLevel[0.3]]}, {991, 
       StyleBox["\"Pinto Beans\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"11.1\"", 11.1, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox[
       "\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\"", FontColor -> GrayLevel[0.4]]}, {
      992, 
       StyleBox["\"Kidney Beans\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"9.85\"", 9.85, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox[
       "\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\"", FontColor -> 
        GrayLevel[0.4]]}, {993, 
       StyleBox["\"White Beans\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"13.45\"", 13.45, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox[
       "\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \:0386\
\[Sigma]\[Pi]\[Rho]\[Alpha]\"", FontColor -> GrayLevel[0.4]]}, {994, 
       StyleBox["\"Wax Beans\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"18.72\"", 18.72, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox[
       "\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\"", 
        FontColor -> GrayLevel[0.4]]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"4", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]", 
       "\[SpanFromLeft]", "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{375, 137},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->320410883]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->1255426704],

Cell[TextData[Cell[BoxData[
 RowBox[{
  StyleBox[
   ButtonBox["DBListSetToRuleSet",
    BaseStyle->"Link",
    ButtonData->"paclet:DBAPI/ref/DBListSetToRuleSet"],
   FontFamily->"Verdana"], " ", ".", " ", 
  StyleBox[
   ButtonBox["DBListSetToAssociationSet",
    BaseStyle->"Link",
    ButtonData->"paclet:DBAPI/ref/DBListSetToAssociationSet"],
   FontFamily->"Verdana"]}]], "InlineFormula"]], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->38303248],

Cell[TextData[ButtonBox["Utilities Package",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"]], "MoreAbout",
 CellID->129871581]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["RELATED LINKS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535],

Cell[TextData[ButtonBox["DBListSetToSQL92",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/ref/DBListSetToSQL92"]], "RelatedLinks",
 CellID->1038487239]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"DBListSetToDataset - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:DBAPI/guide/DBAPI", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2016, 2, 9, 20, 42, 15.6044701}", 
    "history" -> {"0.9", "", "", ""}, "context" -> "DBAPI`", "keywords" -> {},
     "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> 
    True, "label" -> "D B A P I Symbol", "language" -> "en", "paclet" -> 
    "DBAPI", "status" -> "None", "summary" -> 
    "DBListSetToDataset[Header, Body] converts a relational set represented \
with List(s) to an equivalent one represented as a table Dataset with named \
columns", "synonyms" -> {}, "title" -> "DBListSetToDataset", "titlemodifier" -> 
    "", "windowtitle" -> "DBListSetToDataset", "type" -> "Symbol", "uri" -> 
    "DBAPI/ref/DBListSetToDataset"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (December 10, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> 
  "10.3 for Microsoft Windows (64-bit) (December 10, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5512, 167, 490, 14, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->443652878]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 20169, 599}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[612, 21, 2696, 61, 70, "AnchorBarGrid",
 CellID->1],
Cell[3311, 84, 61, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3397, 89, 796, 23, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[4218, 116, 609, 18, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->139791773],
Cell[4830, 136, 420, 14, 70, "Notes",
 CellID->88723942],
Cell[5253, 152, 210, 9, 70, "Notes",
 CellID->96909655]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5512, 167, 490, 14, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->443652878],
Cell[CellGroupData[{
Cell[6027, 185, 195, 6, 70, "ExampleSection",
 CellID->328975293],
Cell[6225, 193, 56, 1, 70, "ExampleText",
 CellID->772149713],
Cell[CellGroupData[{
Cell[6306, 198, 93, 3, 70, "Input",
 CellID->108474329],
Cell[CellGroupData[{
Cell[6424, 205, 126, 2, 70, "Print",
 CellID->712397054],
Cell[6553, 209, 146, 3, 70, "Print",
 CellID->71410424],
Cell[6702, 214, 128, 2, 70, "Print",
 CellID->89499581],
Cell[6833, 218, 147, 3, 70, "Print",
 CellID->233408668]
}, Open  ]]
}, Open  ]],
Cell[7007, 225, 246, 9, 70, "ExampleText",
 CellID->140046681],
Cell[CellGroupData[{
Cell[7278, 238, 1344, 32, 70, "Input",
 CellID->208189987],
Cell[8625, 272, 1439, 34, 111, "Output",
 CellID->134567492]
}, Open  ]],
Cell[CellGroupData[{
Cell[10101, 311, 157, 5, 70, "Input",
 CellID->199032751],
Cell[10261, 318, 295, 8, 36, "Output",
 CellID->411991379]
}, Open  ]],
Cell[CellGroupData[{
Cell[10593, 331, 177, 6, 70, "Input",
 CellID->31692470],
Cell[10773, 339, 1119, 28, 54, "Output",
 CellID->120482662]
}, Open  ]],
Cell[11907, 370, 67, 1, 70, "ExampleText",
 CellID->165679089],
Cell[CellGroupData[{
Cell[11999, 375, 287, 9, 70, "Input",
 CellID->134099957],
Cell[12289, 386, 3746, 85, 70, "Output",
 CellID->320410883]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16096, 478, 446, 13, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[16545, 493, 426, 12, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[17008, 510, 448, 13, 70, "MoreAboutSection",
 CellID->38303248],
Cell[17459, 525, 151, 3, 70, "MoreAbout",
 CellID->129871581]
}, Open  ]],
Cell[CellGroupData[{
Cell[17647, 533, 456, 13, 70, "RelatedLinksSection",
 CellID->1584193535],
Cell[18106, 548, 152, 3, 70, "RelatedLinks",
 CellID->1038487239]
}, Open  ]],
Cell[18273, 554, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

