(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     23032,        710]
NotebookOptionsPosition[     18520,        563]
NotebookOutlinePosition[     20595,        618]
CellTagsIndexPosition[     20510,        613]
WindowTitle->DBListSetToRuleSet - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["D B A P I SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"DBListSetToAssociationSet\"\>":>
       Documentation`HelpLookup[
       "paclet:DBAPI/ref/DBListSetToAssociationSet"], "\<\"DBListSetToDataset\
\"\>":>Documentation`HelpLookup["paclet:DBAPI/ref/DBListSetToDataset"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Utilities Package\"\>":>
       Documentation`HelpLookup["paclet:DBAPI/guide/UtilitiesPackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"DBAPI/ref/DBListSetToRuleSet\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["DBAPI/ref/DBListSetToRuleSet"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/DBAPI/ref/\
DBListSetToRuleSet.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "DBAPI/ref/DBListSetToRuleSet", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["DBListSetToRuleSet", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["DBListSetToRuleSet",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/DBListSetToRuleSet"], "[", 
       RowBox[{"Header", ",", " ", "Body"}], "]"}]], "InlineFormula"],
     " \[LineSeparator]converts a relational set represented with List(s) to \
an equivalent one represented with Rule(s)"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->280938127],

Cell[TextData[{
 StyleBox["Arguments :",
  FontWeight->"Bold"],
 "\nHeader is usually a ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of string items representing the columns of a table, i.e. keys\
\[LineSeparator]Body is a nested ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of values representing the rows of a table"
}], "Notes",
 CellID->88723942],

Cell[TextData[{
 StyleBox["Returns:",
  FontWeight->"Bold"],
 "\nA nested ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of ",
 ButtonBox["Rule",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Rule"],
 "(s)"
}], "Notes",
 CellID->96909655]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->205163178],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->338029013],

Cell["Load Packages", "ExampleText",
 CellID->772149713],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "DBAPI`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->108474329],

Cell[CellGroupData[{

Cell[BoxData["\<\"Data Utilities Package v0.9\"\>"], "Print",
 CellLabel->"During evaluation of In[9]:=",
 CellID->746857190],

Cell[BoxData["\<\"(c) December 2015, By Athanassios I. Hatzis\\n\"\>"], \
"Print",
 CellLabel->"During evaluation of In[9]:=",
 CellID->38175601],

Cell[BoxData["\<\"OrientDB HTTP API Package v0.9\"\>"], "Print",
 CellLabel->"During evaluation of In[9]:=",
 CellID->40949789],

Cell[BoxData["\<\"(c) December 2015, By Athanassios I. Hatzis\\n\"\>"], \
"Print",
 CellLabel->"During evaluation of In[9]:=",
 CellID->136569220]
}, Open  ]]
}, Open  ]],

Cell["\<\
The Stock relation set represented with a Head (1st list with column names) \
and a body (lists of values)\
\>", "ExampleText",
 CellID->140046681],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"stockRelSet", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<StockID\>\"", ",", "\"\<StockNameEN\>\"", ",", 
        "\"\<StockPrice\>\"", ",", "\"\<StockNameGR\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "991", ",", "\"\<Pinto Beans\>\"", ",", "11.1`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "992", ",", "\"\<Kidney Beans\>\"", ",", "9.85`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "993", ",", "\"\<White Beans\>\"", ",", "13.45`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "994", ",", "\"\<Wax Beans\>\"", ",", "18.72`", ",", 
        "\"\<\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\>\""}], 
       "}"}]}], "}"}]}], ")"}], "//", "TableForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->208189987],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"StockID\"\>", "\<\"StockNameEN\"\>", "\<\"StockPrice\"\>", \
"\<\"StockNameGR\"\>"},
    {"991", "\<\"Pinto Beans\"\>", 
     "11.1`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha]\
 \[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\"\>"},
    {"992", "\<\"Kidney Beans\"\>", 
     "9.85`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha]\
 \[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\"\>"},
    {"993", "\<\"White Beans\"\>", 
     "13.45`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\"\>"},
    {"994", "\<\"Wax Beans\"\>", 
     "18.72`", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\
\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{401, 76},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//TableForm=",
 CellID->134567492]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"head", "=", 
  RowBox[{"stockRelSet", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->199032751],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"StockID\"\>", ",", "\<\"StockNameEN\"\>", 
   ",", "\<\"StockPrice\"\>", ",", "\<\"StockNameGR\"\>"}], "}"}]], "Output",
 ImageSize->{324, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->304732213]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"body", "=", 
  RowBox[{"stockRelSet", "[", 
   RowBox[{"[", 
    RowBox[{"2", ";;"}], "]"}], "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->31692470],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "991", ",", "\<\"Pinto Beans\"\>", ",", "11.1`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "992", ",", "\<\"Kidney Beans\"\>", ",", "9.85`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "993", ",", "\<\"White Beans\"\>", ",", "13.45`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "994", ",", "\<\"Wax Beans\"\>", ",", "18.72`", 
     ",", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\[Alpha] \
\[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\"\>"}], 
    "}"}]}], "}"}]], "Output",
 ImageSize->{586, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->708134376]
}, Open  ]],

Cell["Apply the transformation", "ExampleText",
 CellID->165679089],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"stockRuleSet", "=", 
  RowBox[{"DBListSetToRuleSet", "[", 
   RowBox[{
    RowBox[{"stockRelSet", "[", 
     RowBox[{"[", "1", "]"}], "]"}], ",", 
    RowBox[{"stockRelSet", "[", 
     RowBox[{"[", 
      RowBox[{"2", ";;"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellLabel->"In[5]:=",
 CellID->520431829],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "991"}], ",", 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"Pinto Beans\"\>"}], ",", 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "11.1`"}], ",", 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\"\>"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "992"}], ",", 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"Kidney Beans\"\>"}], ",", 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "9.85`"}], ",", 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\"\>"}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "993"}], ",", 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"White Beans\"\>"}], ",", 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "13.45`"}], ",", 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\"\>"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "994"}], ",", 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"Wax Beans\"\>"}], ",", 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "18.72`"}], ",", 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\
\"\>"}]}], "}"}]}], "}"}]], "Output",
 ImageSize->{547, 101},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->234481330]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"stockRuleSet", "//", "TableForm"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->148359554],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "991"}], 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"Pinto Beans\"\>"}], 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "11.1`"}], 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalPi]\:03af\[Nu]\[Tau]\[Omicron]\"\>"}]},
    {
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "992"}], 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"Kidney Beans\"\>"}], 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "9.85`"}], 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalKappa]\:03cc\[Kappa]\[Kappa]\[Iota]\[Nu]\[Alpha]\"\>"}]},
    {
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "993"}], 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"White Beans\"\>"}], 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "13.45`"}], 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \:0386\[Sigma]\[Pi]\[Rho]\[Alpha]\"\>"}]},
    {
     RowBox[{"\<\"StockID\"\>", "\[Rule]", "994"}], 
     RowBox[{"\<\"StockNameEN\"\>", "\[Rule]", "\<\"Wax Beans\"\>"}], 
     RowBox[{"\<\"StockPrice\"\>", "\[Rule]", "18.72`"}], 
     RowBox[{"\<\"StockNameGR\"\>", 
      "\[Rule]", "\<\"\[CapitalPhi]\[Alpha]\[Sigma]\:03cc\[Lambda]\[Iota]\
\[Alpha] \[CapitalKappa]\[Alpha]\[Nu]\[Alpha]\[Rho]\:03af\[Nu]\[Iota]\[Alpha]\
\"\>"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{679, 61},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]//TableForm=",
 CellID->34405295]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->1255426704],

Cell[TextData[Cell[BoxData[
 RowBox[{
  StyleBox[
   ButtonBox["DBListSetToAssociationSet",
    BaseStyle->"Link",
    ButtonData->"paclet:DBAPI/ref/DBListSetToAssociationSet"],
   FontFamily->"Verdana"], " ", ".", " ", 
  StyleBox[
   ButtonBox["DBListSetToDataset",
    BaseStyle->"Link",
    ButtonData->"paclet:DBAPI/ref/DBListSetToDataset"],
   FontFamily->"Verdana"]}]], "InlineFormula"]], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->38303248],

Cell[TextData[ButtonBox["Utilities Package",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"]], "MoreAbout",
 CellID->487709626]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["RELATED LINKS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535],

Cell[TextData[ButtonBox["DBListSetToSQL92",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/ref/DBListSetToSQL92"]], "RelatedLinks",
 CellID->1038487239]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"DBListSetToRuleSet - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:DBAPI/guide/DBAPI", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2016, 2, 9, 20, 42, 17.9098926}", 
    "history" -> {"0.9", "", "", ""}, "context" -> "DBAPI`", "keywords" -> {},
     "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> 
    True, "label" -> "D B A P I Symbol", "language" -> "en", "paclet" -> 
    "DBAPI", "status" -> "None", "summary" -> 
    "DBListSetToRuleSet[Header, Body] converts a relational set represented \
with List(s) to an equivalent one represented with Rule(s)", "synonyms" -> {},
     "title" -> "DBListSetToRuleSet", "titlemodifier" -> "", "windowtitle" -> 
    "DBListSetToRuleSet", "type" -> "Symbol", "uri" -> 
    "DBAPI/ref/DBListSetToRuleSet"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (December 10, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> 
  "10.3 for Microsoft Windows (64-bit) (December 10, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5366, 164, 490, 14, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->205163178]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 20367, 606}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[612, 21, 2696, 61, 70, "AnchorBarGrid",
 CellID->1],
Cell[3311, 84, 61, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3397, 89, 588, 16, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[4010, 109, 609, 18, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->280938127],
Cell[4622, 129, 420, 14, 70, "Notes",
 CellID->88723942],
Cell[5045, 145, 272, 13, 70, "Notes",
 CellID->96909655]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5366, 164, 490, 14, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->205163178],
Cell[CellGroupData[{
Cell[5881, 182, 195, 6, 70, "ExampleSection",
 CellID->338029013],
Cell[6079, 190, 56, 1, 70, "ExampleText",
 CellID->772149713],
Cell[CellGroupData[{
Cell[6160, 195, 93, 3, 70, "Input",
 CellID->108474329],
Cell[CellGroupData[{
Cell[6278, 202, 125, 2, 70, "Print",
 CellID->746857190],
Cell[6406, 206, 145, 3, 70, "Print",
 CellID->38175601],
Cell[6554, 211, 127, 2, 70, "Print",
 CellID->40949789],
Cell[6684, 215, 146, 3, 70, "Print",
 CellID->136569220]
}, Open  ]]
}, Open  ]],
Cell[6857, 222, 157, 4, 70, "ExampleText",
 CellID->140046681],
Cell[CellGroupData[{
Cell[7039, 230, 1344, 32, 70, "Input",
 CellID->208189987],
Cell[8386, 264, 1439, 34, 111, "Output",
 CellID->134567492]
}, Open  ]],
Cell[CellGroupData[{
Cell[9862, 303, 157, 5, 70, "Input",
 CellID->199032751],
Cell[10022, 310, 295, 8, 36, "Output",
 CellID->304732213]
}, Open  ]],
Cell[CellGroupData[{
Cell[10354, 323, 177, 6, 70, "Input",
 CellID->31692470],
Cell[10534, 331, 1119, 28, 54, "Output",
 CellID->708134376]
}, Open  ]],
Cell[11668, 362, 67, 1, 70, "ExampleText",
 CellID->165679089],
Cell[CellGroupData[{
Cell[11760, 367, 327, 10, 70, "Input",
 CellID->520431829],
Cell[12090, 379, 1886, 41, 122, "Output",
 CellID->234481330]
}, Open  ]],
Cell[CellGroupData[{
Cell[14013, 425, 112, 3, 70, "Input",
 CellID->148359554],
Cell[14128, 430, 2127, 48, 96, "Output",
 CellID->34405295]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16316, 485, 446, 13, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[16765, 500, 426, 12, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[17228, 517, 448, 13, 70, "MoreAboutSection",
 CellID->38303248],
Cell[17679, 532, 151, 3, 70, "MoreAbout",
 CellID->487709626]
}, Open  ]],
Cell[CellGroupData[{
Cell[17867, 540, 456, 13, 70, "RelatedLinksSection",
 CellID->1584193535],
Cell[18326, 555, 152, 3, 70, "RelatedLinks",
 CellID->1038487239]
}, Open  ]],
Cell[18493, 561, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

