(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     39873,       1191]
NotebookOptionsPosition[     33971,        990]
NotebookOutlinePosition[     36026,       1045]
CellTagsIndexPosition[     35940,       1040]
WindowTitle->DBexpressionToJSON - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["D B A P I SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Utilities Package\"\>":>
       Documentation`HelpLookup["paclet:DBAPI/guide/UtilitiesPackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"DBAPI/ref/DBexpressionToJSON\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["DBAPI/ref/DBexpressionToJSON"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/DBAPI/ref/\
DBexpressionToJSON.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "DBAPI/ref/DBexpressionToJSON", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["DBexpressionToJSON", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       RowBox[{
        ButtonBox["DBexpressionToJSON",
         BaseStyle->"Link",
         ButtonData->"paclet:DBAPI/ref/DBexpressionToJSON"], "[", 
        RowBox[{"expression", ",", " ", 
         RowBox[{"(", "compact", ")"}]}], "]"}], " "}]], "InlineFormula"],
     " \[LineSeparator]transforms any ",
     ButtonBox["List",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/List"],
     ", ",
     ButtonBox["Association",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Association"],
     ", ",
     ButtonBox["Dataset",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Dataset"],
     " expression to JSON string"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->61326627],

Cell[TextData[{
 StyleBox["Arguments :",
  FontWeight->"Bold"],
 "\nFirst argument is a nested ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of ",
 ButtonBox["Rule",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Rule"],
 "(s) or nested ",
 ButtonBox["Association",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Association"],
 "(s) or Dataset. Any of these expressions are alternative representations \
for JSON structure.\[LineSeparator]The compact\[Rule] argument is optional, \
the default value is false. If it is true then JSON string is presented in a \
compact form."
}], "Notes",
 CellID->88723942],

Cell[TextData[{
 StyleBox["Returns:",
  FontWeight->"Bold"],
 "\nA JSON string in either standard or compact form"
}], "Notes",
 CellID->96909655],

Cell[TextData[{
 StyleBox["Dependencies:",
  FontWeight->"Bold"],
 "\nIt is based on the built-in ExportString function with a \"JSON\" format \
argument"
}], "Notes",
 CellID->68413452],

Cell[TextData[{
 StyleBox["Use:\[LineSeparator]",
  FontWeight->"Bold"],
 "It can be used in Add, Update commands of the ",
 Cell[BoxData[
  ButtonBox["ODBapi",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/ODBapi"]], "InlineFormula"],
 " function."
}], "Notes",
 CellID->58638840],

Cell[TextData[{
 StyleBox["Internals:\[LineSeparator]",
  FontWeight->"Bold"],
 Cell[BoxData[
  ButtonBox["DBexpressionToJSON",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/DBexpressionToJSON"]], "InlineFormula"],
 " is an overloaded function. The first argument can be either a ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 ", ",
 ButtonBox["Association",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Association"],
 " or ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 ". "
}], "Notes",
 CellID->59529440]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->574336356],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->581590832],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "DBAPI`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->287453787],

Cell[CellGroupData[{

Cell[BoxData["\<\"Data Utilities Package v0.9\"\>"], "Print",
 CellLabel->"During evaluation of In[23]:=",
 CellID->720657148],

Cell[BoxData["\<\"(c) December 2015, By Athanassios I. Hatzis\\n\"\>"], \
"Print",
 CellLabel->"During evaluation of In[23]:=",
 CellID->46975881],

Cell[BoxData["\<\"OrientDB HTTP API Package v0.9\"\>"], "Print",
 CellLabel->"During evaluation of In[23]:=",
 CellID->327541425],

Cell[BoxData["\<\"(c) December 2015, By Athanassios I. Hatzis\\n\"\>"], \
"Print",
 CellLabel->"During evaluation of In[23]:=",
 CellID->659288965]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "With nested List of Rule(s)",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->40335563],

Cell[TextData[{
 "In Wolfram language we can represent a record with a hierarchical ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of ",
 ButtonBox["Rule",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Rule"],
 "(s) e.g."
}], "ExampleText",
 CellID->34439295],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"johnRules", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<telephones\>\"", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\"\<home\>\"", "\[Rule]", "\"\<2104566345\>\""}], ",", 
         RowBox[{"\"\<business\>\"", "\[Rule]", "\"\<2108856844\>\""}], ",", 
         RowBox[{"\"\<mobile\>\"", "\[Rule]", "\"\<6974059256\>\""}]}], 
        "}"}]}], ",", 
      RowBox[{"\"\<firstName\>\"", "\[Rule]", "\"\<John\>\""}], ",", 
      RowBox[{"\"\<lastName\>\"", "\[Rule]", "\"\<Brown\>\""}], ",", 
      RowBox[{"\"\<DOB\>\"", "\[Rule]", "\"\<1971-10-01\>\""}], ",", 
      RowBox[{"\"\<age\>\"", "\[Rule]", "44"}]}], "}"}]}], ")"}], "//", 
  "TableForm"}]], "Input",
 CellLabel->"In[31]:=",
 CellID->81816368],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      RowBox[{"\<\"telephones\"\>", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\<\"home\"\>", "\[Rule]", "\<\"2104566345\"\>"}], ",", 
         RowBox[{"\<\"business\"\>", "\[Rule]", "\<\"2108856844\"\>"}], ",", 
         RowBox[{"\<\"mobile\"\>", "\[Rule]", "\<\"6974059256\"\>"}]}], 
        "}"}]}]},
     {
      RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"John\"\>"}]},
     {
      RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Brown\"\>"}]},
     {
      RowBox[{"\<\"DOB\"\>", "\[Rule]", "\<\"1971-10-01\"\>"}]},
     {
      RowBox[{"\<\"age\"\>", "\[Rule]", "44"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{514, 72},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[31]//TableForm=",
 CellID->85439463]
}, Open  ]],

Cell["Transform to a JSON string", "ExampleText",
 CellID->395593473],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"johnRules", "//", "DBexpressionToJSON"}]], "Input",
 CellLabel->"In[18]:=",
 CellID->217270462],

Cell[BoxData["\<\"{\\n    \\\"telephones\\\": {\\n        \\\"home\\\": \
\\\"2104566345\\\",\\n        \\\"business\\\": \\\"2108856844\\\",\\n        \
\\\"mobile\\\": \\\"6974059256\\\"\\n    },\\n    \\\"firstName\\\": \\\"John\
\\\",\\n    \\\"lastName\\\": \\\"Brown\\\",\\n    \\\"DOB\\\": \
\\\"1971-10-01\\\",\\n    \\\"age\\\": 44\\n}\"\>"], "Output",
 ImageSize->{235, 186},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[18]=",
 CellID->671499827]
}, Open  ]],

Cell["Same JSON output but in a compact form", "ExampleText",
 CellID->477125116],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"johnRules", "//", 
  RowBox[{
   RowBox[{"DBexpressionToJSON", "[", 
    RowBox[{"#", ",", 
     RowBox[{"compact", "\[Rule]", "True"}]}], "]"}], "&"}]}]], "Input",
 CellLabel->"In[20]:=",
 CellID->103726790],

Cell[BoxData["\<\"{\\\"telephones\\\":{\\\"home\\\":\\\"2104566345\\\",\\\"\
business\\\":\\\"2108856844\\\",\\\"mobile\\\":\\\"6974059256\\\"},\\\"\
firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"Brown\\\",\\\"DOB\\\":\\\"\
1971-10-01\\\",\\\"age\\\":44}\"\>"], "Output",
 ImageSize->{585, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[20]=",
 CellID->117453884]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "With Association",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->588098855],

Cell[TextData[{
 "Rules transformation to Association is using the ",
 StyleBox["ToAssociations",
  FontWeight->"Bold"],
 " undocumented built-in function of the GeneralUtilities package that is \
included in ",
 ButtonBox["Utilities Package",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"]
}], "ExampleText",
 CellID->265692506],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"johnAssoc", "=", 
  RowBox[{"johnRules", "//", "ToAssociations"}]}]], "Input",
 CellLabel->"In[35]:=",
 CellID->566619433],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"telephones\"\>", "\[Rule]", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"home\"\>", "\[Rule]", "\<\"2104566345\"\>"}], ",", 
      RowBox[{"\<\"business\"\>", "\[Rule]", "\<\"2108856844\"\>"}], ",", 
      RowBox[{"\<\"mobile\"\>", "\[Rule]", "\<\"6974059256\"\>"}]}], 
     "\[RightAssociation]"}]}], ",", 
   RowBox[{"\<\"firstName\"\>", "\[Rule]", "\<\"John\"\>"}], ",", 
   RowBox[{"\<\"lastName\"\>", "\[Rule]", "\<\"Brown\"\>"}], ",", 
   RowBox[{"\<\"DOB\"\>", "\[Rule]", "\<\"1971-10-01\"\>"}], ",", 
   RowBox[{"\<\"age\"\>", "\[Rule]", "44"}]}], 
  "\[RightAssociation]"}]], "Output",
 ImageSize->{543, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[35]=",
 CellID->353473752]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"johnAssoc", "[", 
  RowBox[{"\"\<telephones\>\"", ",", "\"\<mobile\>\""}], "]"}]], "Input",
 CellLabel->"In[33]:=",
 CellID->812787],

Cell[BoxData["\<\"6974059256\"\>"], "Output",
 ImageSize->{74, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[33]=",
 CellID->2542575]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"johnAssoc", "//", "DBexpressionToJSON"}]], "Input",
 CellLabel->"In[34]:=",
 CellID->734214896],

Cell[BoxData["\<\"{\\n    \\\"telephones\\\": {\\n        \\\"home\\\": \
\\\"2104566345\\\",\\n        \\\"business\\\": \\\"2108856844\\\",\\n        \
\\\"mobile\\\": \\\"6974059256\\\"\\n    },\\n    \\\"firstName\\\": \\\"John\
\\\",\\n    \\\"lastName\\\": \\\"Brown\\\",\\n    \\\"DOB\\\": \
\\\"1971-10-01\\\",\\n    \\\"age\\\": 44\\n}\"\>"], "Output",
 ImageSize->{235, 186},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[34]=",
 CellID->548619408]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "With Dataset",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->180905804],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Table Dataset with named rows",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->154961750],

Cell[TextData[{
 "Transform the rules to a table dataset with named rows using the ",
 StyleBox["ToAssociations",
  FontWeight->"Bold"],
 " function of the GeneralUtilities package and ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 " functions"
}], "ExampleText",
 CellID->661220054],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"johnRules", "//", "ToAssociations"}], "//", "Dataset"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->135381797],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"telephones\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{
          StyleBox["\[LeftAssociation]", 
           GrayLevel[0.45]], "\[ThinSpace]", 
          RowBox[{
            StyleBox["\"home\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"2104566345\"", FontColor -> GrayLevel[0.4]]}], ",", 
          RowBox[{
            StyleBox["\"business\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"2108856844\"", FontColor -> GrayLevel[0.4]]}], ",", 
          RowBox[{
            StyleBox["\"mobile\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"6974059256\"", FontColor -> GrayLevel[0.4]]}], 
          "\[ThinSpace]", 
          StyleBox["\[RightAssociation]", 
           GrayLevel[0.45]]}], LineBreakWithin -> Automatic]}, {
       StyleBox["\"firstName\"", 
        GrayLevel[0.3]], 
       StyleBox["\"John\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"lastName\"", 
        GrayLevel[0.3]], 
       StyleBox["\"Brown\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"DOB\"", 
        GrayLevel[0.3]], 
       StyleBox["\"1971-10-01\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"age\"", 
        GrayLevel[0.3]], 44}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"5", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> 1.2, 
     GridBoxBackground -> {"Columns" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],
    "Dataset[<|\"telephones\" -> _, \"firstName\" -> _, \"lastName\" -> _, \
\"DOB\" -> _, \"age\" -> _|>]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{536, 136},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->751456867]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"johnRules", "//", "ToAssociations"}], "//", "Dataset"}], "//", 
  "DBexpressionToJSON"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->207349506],

Cell[BoxData["\<\"{\\n    \\\"telephones\\\": {\\n        \\\"home\\\": \
\\\"2104566345\\\",\\n        \\\"business\\\": \\\"2108856844\\\",\\n        \
\\\"mobile\\\": \\\"6974059256\\\"\\n    },\\n    \\\"firstName\\\": \\\"John\
\\\",\\n    \\\"lastName\\\": \\\"Brown\\\",\\n    \\\"DOB\\\": \
\\\"1971-10-01\\\",\\n    \\\"age\\\": 44\\n}\"\>"], "Output",
 ImageSize->{235, 186},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->431177040]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Table Dataset with named columns",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->177234673],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"partDS", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "991"}], ",", 
        RowBox[{
        "\"\<pname\>\"", "\[Rule]", 
         "\"\<Left Handed Bacon Stretcher Cover\>\""}], ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Red\>\""}], ",", 
        RowBox[{"\"\<pweight\>\"", "\[Rule]", "15.5`"}], ",", 
        RowBox[{"\"\<punit\>\"", "\[Rule]", "\"\<lb\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "992"}], ",", 
        RowBox[{"\"\<pname\>\"", "\[Rule]", "\"\<Smoke Shifter End\>\""}], 
        ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Black\>\""}], ",", 
        RowBox[{"\"\<pweight\>\"", "\[Rule]", "3.75`"}], ",", 
        RowBox[{"\"\<punit\>\"", "\[Rule]", "\"\<lb\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "993"}], ",", 
        RowBox[{"\"\<pname\>\"", "\[Rule]", "\"\<Acme Widget Washer\>\""}], 
        ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Red\>\""}], ",", 
        RowBox[{"\"\<pweight\>\"", "\[Rule]", "142.88`"}], ",", 
        RowBox[{"\"\<punit\>\"", "\[Rule]", "\"\<kg\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "994"}], ",", 
        RowBox[{"\"\<pname\>\"", "\[Rule]", "\"\<Acme Widget Washer\>\""}], 
        ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Silver\>\""}], ",", 
        RowBox[{"\"\<pweight\>\"", "\[Rule]", "142.88`"}], ",", 
        RowBox[{"\"\<punit\>\"", "\[Rule]", "\"\<kg\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "995"}], ",", 
        RowBox[{
        "\"\<pname\>\"", "\[Rule]", 
         "\"\<I Brake for Crop Circles Sticker\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "996"}], ",", 
        RowBox[{
        "\"\<pname\>\"", "\[Rule]", 
         "\"\<Anti-Gravity Turbine Generator\>\""}], ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Cyan\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "997"}], ",", 
        RowBox[{
        "\"\<pname\>\"", "\[Rule]", 
         "\"\<Anti-Gravity Turbine Generator\>\""}], ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Magenta\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "998"}], ",", 
        RowBox[{"\"\<pname\>\"", "\[Rule]", "\"\<Fire Hydrant Cap\>\""}], ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Red\>\""}], ",", 
        RowBox[{"\"\<pweight\>\"", "\[Rule]", "7.2`"}], ",", 
        RowBox[{"\"\<punit\>\"", "\[Rule]", "\"\<lb\>\""}]}], 
       "\[RightAssociation]"}], ",", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\"\<pid\>\"", "\[Rule]", "999"}], ",", 
        RowBox[{"\"\<pname\>\"", "\[Rule]", "\"\<7 Segment Display\>\""}], 
        ",", 
        RowBox[{"\"\<pcolor\>\"", "\[Rule]", "\"\<Green\>\""}], ",", 
        RowBox[{"\"\<pweight\>\"", "\[Rule]", "2.1`"}], ",", 
        RowBox[{"\"\<punit\>\"", "\[Rule]", "\"\<gr\>\""}]}], 
       "\[RightAssociation]"}]}], "}"}], ")"}], "//", "Dataset"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->141585609],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"pid\"", 
        GrayLevel[0.3]], 
       StyleBox["\"pname\"", 
        GrayLevel[0.3]], 
       StyleBox["\"pcolor\"", 
        GrayLevel[0.3]], 
       StyleBox["\"pweight\"", 
        GrayLevel[0.3]], 
       StyleBox["\"punit\"", 
        GrayLevel[0.3]]}, {991, 
       StyleBox[
       "\"Left Handed Bacon Stretcher Cover\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Red\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"15.5\"", 15.5, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox["\"lb\"", FontColor -> GrayLevel[0.4]]}, {992, 
       StyleBox["\"Smoke Shifter End\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Black\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"3.75\"", 3.75, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox["\"lb\"", FontColor -> GrayLevel[0.4]]}, {993, 
       StyleBox["\"Acme Widget Washer\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Red\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"142.9\"", 142.88, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox["\"kg\"", FontColor -> GrayLevel[0.4]]}, {994, 
       StyleBox["\"Acme Widget Washer\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Silver\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"142.9\"", 142.88, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox["\"kg\"", FontColor -> GrayLevel[0.4]]}, {995, 
       StyleBox[
       "\"I Brake for Crop Circles Sticker\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "pcolor"]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "pweight"]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "punit"]]}, {996, 
       StyleBox[
       "\"Anti-Gravity Turbine Generator\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Cyan\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "pweight"]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "punit"]]}, {997, 
       StyleBox[
       "\"Anti-Gravity Turbine Generator\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Magenta\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "pweight"]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "punit"]]}, {998, 
       StyleBox["\"Fire Hydrant Cap\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Red\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"7.2\"", 7.2, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox["\"lb\"", FontColor -> GrayLevel[0.4]]}, {999, 
       StyleBox["\"7 Segment Display\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Green\"", FontColor -> GrayLevel[0.4]], 
       TagBox[
        InterpretationBox["\"2.1\"", 2.1, AutoDelete -> True], 
        NumberForm[#, 4]& ], 
       StyleBox["\"gr\"", FontColor -> GrayLevel[0.4]]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"9", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]", 
       "\[SpanFromLeft]", "\[SpanFromLeft]", "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{512, 247},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->63955843]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"partDS", "//", "DBexpressionToJSON"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->498799384],

Cell[BoxData["\<\"[\\n    {\\n        \\\"pid\\\": 991,\\n        \\\"pname\\\
\": \\\"Left Handed Bacon Stretcher Cover\\\",\\n        \\\"pcolor\\\": \
\\\"Red\\\",\\n        \\\"pweight\\\": 15.5,\\n        \\\"punit\\\": \\\"lb\
\\\"\\n    },\\n    {\\n        \\\"pid\\\": 992,\\n        \\\"pname\\\": \\\
\"Smoke Shifter End\\\",\\n        \\\"pcolor\\\": \\\"Black\\\",\\n        \
\\\"pweight\\\": 3.75,\\n        \\\"punit\\\": \\\"lb\\\"\\n    },\\n    \
{\\n        \\\"pid\\\": 993,\\n        \\\"pname\\\": \\\"Acme Widget Washer\
\\\",\\n        \\\"pcolor\\\": \\\"Red\\\",\\n        \\\"pweight\\\": \
142.88,\\n        \\\"punit\\\": \\\"kg\\\"\\n    },\\n    {\\n        \
\\\"pid\\\": 994,\\n        \\\"pname\\\": \\\"Acme Widget Washer\\\",\\n     \
   \\\"pcolor\\\": \\\"Silver\\\",\\n        \\\"pweight\\\": 142.88,\\n      \
  \\\"punit\\\": \\\"kg\\\"\\n    },\\n    {\\n        \\\"pid\\\": 995,\\n   \
     \\\"pname\\\": \\\"I Brake for Crop Circles Sticker\\\"\\n    },\\n    {\
\\n        \\\"pid\\\": 996,\\n        \\\"pname\\\": \\\"Anti-Gravity \
Turbine Generator\\\",\\n        \\\"pcolor\\\": \\\"Cyan\\\"\\n    },\\n    \
{\\n        \\\"pid\\\": 997,\\n        \\\"pname\\\": \\\"Anti-Gravity \
Turbine Generator\\\",\\n        \\\"pcolor\\\": \\\"Magenta\\\"\\n    },\\n  \
  {\\n        \\\"pid\\\": 998,\\n        \\\"pname\\\": \\\"Fire Hydrant Cap\
\\\",\\n        \\\"pcolor\\\": \\\"Red\\\",\\n        \\\"pweight\\\": \
7.2,\\n        \\\"punit\\\": \\\"lb\\\"\\n    },\\n    {\\n        \\\"pid\\\
\": 999,\\n        \\\"pname\\\": \\\"7 Segment Display\\\",\\n        \
\\\"pcolor\\\": \\\"Green\\\",\\n        \\\"pweight\\\": 2.1,\\n        \
\\\"punit\\\": \\\"gr\\\"\\n    }\\n]\"\>"], "Output",
 ImageSize->{375, 985},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->44250155]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->38303248],

Cell[TextData[ButtonBox["Utilities Package",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"]], "MoreAbout",
 CellID->59345692]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["RELATED LINKS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535],

Cell[TextData[Cell[BoxData[
 RowBox[{
  ButtonBox["DBjsonToRules",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/DBjsonToRules"], " ", ".", " ", 
  ButtonBox["DBjsonToAssociations",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/DBjsonToAssociations"], " ", ".", " ", 
  ButtonBox["DBjsonToDataset",
   BaseStyle->"Link",
   ButtonData->
    "paclet:DBAPI/ref/DBjsonToDataset"]}]], "InlineFormula"]], "RelatedLinks",
 CellID->1038487239]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"DBexpressionToJSON - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:DBAPI/guide/DBAPI", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2016, 2, 9, 20, 42, 0.1617147}", 
    "history" -> {"0.9", "", "", ""}, "context" -> "DBAPI`", "keywords" -> {},
     "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> 
    True, "label" -> "D B A P I Symbol", "language" -> "en", "paclet" -> 
    "DBAPI", "status" -> "None", "summary" -> 
    "DBexpressionToJSON[expression, (compact)] transforms any List, \
Association, Dataset expression to JSON string", "synonyms" -> {}, "title" -> 
    "DBexpressionToJSON", "titlemodifier" -> "", "windowtitle" -> 
    "DBexpressionToJSON", "type" -> "Symbol", "uri" -> 
    "DBAPI/ref/DBexpressionToJSON"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (December 10, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> 
  "10.3 for Microsoft Windows (64-bit) (December 10, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6484, 210, 490, 14, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->574336356]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 35797, 1033}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[612, 21, 2331, 53, 70, "AnchorBarGrid",
 CellID->1],
Cell[2946, 76, 61, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3032, 81, 904, 29, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[3961, 114, 608, 18, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->61326627],
Cell[4572, 134, 642, 20, 70, "Notes",
 CellID->88723942],
Cell[5217, 156, 146, 5, 70, "Notes",
 CellID->96909655],
Cell[5366, 163, 186, 6, 70, "Notes",
 CellID->68413452],
Cell[5555, 171, 290, 10, 70, "Notes",
 CellID->58638840],
Cell[5848, 183, 587, 21, 70, "Notes",
 CellID->59529440]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6484, 210, 490, 14, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->574336356],
Cell[CellGroupData[{
Cell[6999, 228, 195, 6, 70, "ExampleSection",
 CellID->581590832],
Cell[CellGroupData[{
Cell[7219, 238, 93, 3, 70, "Input",
 CellID->287453787],
Cell[CellGroupData[{
Cell[7337, 245, 126, 2, 70, "Print",
 CellID->720657148],
Cell[7466, 249, 146, 3, 70, "Print",
 CellID->46975881],
Cell[7615, 254, 129, 2, 70, "Print",
 CellID->327541425],
Cell[7747, 258, 147, 3, 70, "Print",
 CellID->659288965]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7955, 268, 270, 8, 70, "ExampleSection",
 CellID->40335563],
Cell[8228, 278, 293, 11, 70, "ExampleText",
 CellID->34439295],
Cell[CellGroupData[{
Cell[8546, 293, 788, 19, 70, "Input",
 CellID->81816368],
Cell[9337, 314, 1284, 37, 107, "Output",
 CellID->85439463]
}, Open  ]],
Cell[10636, 354, 69, 1, 70, "ExampleText",
 CellID->395593473],
Cell[CellGroupData[{
Cell[10730, 359, 119, 3, 70, "Input",
 CellID->217270462],
Cell[10852, 364, 494, 9, 207, "Output",
 CellID->671499827]
}, Open  ]],
Cell[11361, 376, 81, 1, 70, "ExampleText",
 CellID->477125116],
Cell[CellGroupData[{
Cell[11467, 381, 232, 7, 70, "Input",
 CellID->103726790],
Cell[11702, 390, 405, 8, 54, "Output",
 CellID->117453884]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12156, 404, 260, 8, 70, "ExampleSection",
 CellID->588098855],
Cell[12419, 414, 356, 10, 70, "ExampleText",
 CellID->265692506],
Cell[CellGroupData[{
Cell[12800, 428, 146, 4, 70, "Input",
 CellID->566619433],
Cell[12949, 434, 823, 19, 54, "Output",
 CellID->353473752]
}, Open  ]],
Cell[CellGroupData[{
Cell[13809, 458, 156, 4, 70, "Input",
 CellID->812787],
Cell[13968, 464, 174, 5, 36, "Output",
 CellID->2542575]
}, Open  ]],
Cell[CellGroupData[{
Cell[14179, 474, 119, 3, 70, "Input",
 CellID->734214896],
Cell[14301, 479, 494, 9, 207, "Output",
 CellID->548619408]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14844, 494, 256, 8, 70, "ExampleSection",
 CellID->180905804],
Cell[CellGroupData[{
Cell[15125, 506, 300, 8, 70, "ExampleSubsection",
 CellID->154961750],
Cell[15428, 516, 320, 10, 70, "ExampleText",
 CellID->661220054],
Cell[CellGroupData[{
Cell[15773, 530, 144, 4, 70, "Input",
 CellID->135381797],
Cell[15920, 536, 3472, 85, 157, "Output",
 CellID->751456867]
}, Open  ]],
Cell[CellGroupData[{
Cell[19429, 626, 189, 6, 70, "Input",
 CellID->207349506],
Cell[19621, 634, 493, 9, 207, "Output",
 CellID->431177040]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[20163, 649, 303, 8, 70, "ExampleSubsection",
 CellID->177234673],
Cell[CellGroupData[{
Cell[20491, 661, 3718, 84, 70, "Input",
 CellID->141585609],
Cell[24212, 747, 6056, 143, 70, "Output",
 CellID->63955843]
}, Open  ]],
Cell[CellGroupData[{
Cell[30305, 895, 115, 3, 70, "Input",
 CellID->498799384],
Cell[30423, 900, 1882, 27, 1006, "Output",
 CellID->44250155]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32378, 935, 448, 13, 70, "MoreAboutSection",
 CellID->38303248],
Cell[32829, 950, 150, 3, 70, "MoreAbout",
 CellID->59345692]
}, Open  ]],
Cell[CellGroupData[{
Cell[33016, 958, 456, 13, 70, "RelatedLinksSection",
 CellID->1584193535],
Cell[33475, 973, 454, 12, 70, "RelatedLinks",
 CellID->1038487239]
}, Open  ]],
Cell[33944, 988, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

