(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    227073,       6823]
NotebookOptionsPosition[    196759,       5777]
NotebookOutlinePosition[    200511,       5870]
CellTagsIndexPosition[    200297,       5861]
WindowTitle->ODBapi - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["D B A P I SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"OrientDB Package\"\>":>
       Documentation`HelpLookup["paclet:DBAPI/guide/ODBapiPackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"DBAPI/ref/ODBapi\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["DBAPI/ref/ODBapi"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/DBAPI/ref/ODBapi.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", "DBAPI/ref/ODBapi", 
             ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["ODBapi", "ObjectName",
 CellTags->"odbapi",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["ODBapi",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/ODBapi"], "[", 
       RowBox[{
        RowBox[{"com", "\[Rule]", "\"\<add<Command>\>\""}], ",", " ", 
        "options"}], "]"}]], "InlineFormula"],
     " \[LineSeparator]Uses the POST method of the HTTP protocol for both \
reading and writing the database"
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["ODBapi",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/ODBapi"], "[", 
       RowBox[{
        RowBox[{"com", "\[Rule]", "\"\<del<Command>\>\""}], ",", " ", 
        "options"}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator]Uses either the POST or the DELETE method of the HTTP \
protocol to destructively alter the database"
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["ODBapi",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/ODBapi"], "[", 
       RowBox[{
        RowBox[{"com", "\[Rule]", "\"\<upd<Command>\>\""}], ",", " ", 
        "options"}], "]"}]], "InlineFormula"],
     " \[LineSeparator]Uses either the POST HTTP method to update record \
values with SQL UPDATE command or the PUT and PATCH methods of the HTTP \
protocol to update OrientDB structured Document records"
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["ODBapi",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/ODBapi"], "[", 
       RowBox[{
        RowBox[{"com", "\[Rule]", "\"\<get<Command>\>\""}], ",", " ", 
        "options"}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator]Uses the GET method of the HTTP protocol to retrieve \
values from the database. Operations are idempotent, i.e. they do not alter \
the database"
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["ODBapi",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/ODBapi"], "[", 
       RowBox[{
        RowBox[{"com", "\[Rule]", "\"\<impDatabase/expDatabase\>\""}], ",", 
        " ", "options"}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator]Export a gzip file that contains the database JSON \
export using the GET method. Import a database from an uploaded JSON text \
file."
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["ODBapi",
        BaseStyle->"Link",
        ButtonData->"paclet:DBAPI/ref/ODBapi"], "[", 
       RowBox[{
        RowBox[{"com", "\[Rule]", "\"\<login/logout\>\""}], ",", " ", 
        "options"}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator]Uses the GET method of the HTTP protocol to connect to \
a remote server using basic authentication and the same method for \
disconnecting"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, None, None, {None}}, "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->14934646],

Cell[TextData[StyleBox["Details and Options",
 FontWeight->"Bold"]], "Notes",
 CellID->1067943069],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[StyleBox["URL Construction",
   FontColor->RGBColor[0., 0.5019607843137255, 0.5019607843137255]]], 
   "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->37887738],

Cell["\<\
\tThe following options are used in the construction of the HTTP request. \
\[LineSeparator]\tThe OrientDB RESTful \tAPI uses the same syntax for all \
HTTP methods.\
\>", "Notes",
 CellID->22629621],

Cell[TextData[{
 StyleBox["\t",
  Background->RGBColor[1, 0.9, 0.8]],
 StyleBox["Syntax: http://<server>:<port>/<command>/[<database>/<arguments>]\t\
",
  FontWeight->"Bold"]
}], "Notes",
 CellID->172327304],

Cell[TextData[{
 "\tDefault options for the OrientDB ",
 StyleBox["server \[Rule] \"localhost\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " and the",
 StyleBox[" port \[Rule] \"2480\"",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->238941620],

Cell[TextData[{
 StyleBox["\t",
  Background->RGBColor[1, 0.9, 0.8]],
 "Default option for the ",
 StyleBox["<database>",
  FontWeight->"Bold"],
 ", ",
 StyleBox["db \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->414856652],

Cell[TextData[{
 "\tDefault option for the ",
 StyleBox["<command>, ",
  FontWeight->"Bold"],
 StyleBox["com \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->50003116],

Cell[TextData[{
 "\tDefault options for ",
 StyleBox["<arguments>",
  FontWeight->"Bold"],
 ". These are controlled with the ",
 StyleBox["arg \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " option. \[LineSeparator]\tThis option value is dependent on the following \
options :"
}], "Notes",
 CellID->52482609],

Cell[TextData[{
 "\t",
 StyleBox["dbtype \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " option is used in ",
 StyleBox["addDatabase",
  Background->RGBColor[1, 0.9, 0.8]],
 " command \[LineSeparator]\tand typical values are \"plocal/graph\", \
\"plocal/document\""
}], "Notes",
 CellID->433377957],

Cell[TextData[{
 StyleBox["\tclass \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " option is used in most of the commands "
}], "Notes",
 CellID->66505450],

Cell[TextData[{
 "\t",
 StyleBox["propnam \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["propval \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 ", and ",
 StyleBox["proptype \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " options are used in : \[LineSeparator]\tcommands  ",
 StyleBox["addProperty, updProperty, addInstance, addIndex, updValues, \
getRecords, ....",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->145426120],

Cell[TextData[{
 "\t",
 StyleBox["id \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 ", with this option we pass the record id, OrientDB ",
 StyleBox["@rid",
  FontWeight->"Bold"],
 ". It is used in :\[LineSeparator]\t",
 StyleBox["updValues",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["updRecord",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["delRecords, and getRecords, commands",
  Background->RGBColor[1, 0.9, 0.8]],
 "."
}], "Notes",
 CellID->572142819],

Cell[TextData[{
 "\t",
 StyleBox["con \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 ", with this option we pass the connection id used in :\[LineSeparator]\t",
 StyleBox["delConnection",
  Background->RGBColor[1, 0.9, 0.8]],
 " command"
}], "Notes",
 CellID->327772531]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   StyleBox["Control of the URLFetch c",
    FontColor->RGBColor[0., 0.5019607843137255, 0.5019607843137255],
    Background->None],
   StyleBox["ommand",
    FontColor->RGBColor[0., 0.5019607843137255, 0.5019607843137255]]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->470092490],

Cell[TextData[{
 "\tEach ODBapi command is executed through ",
 ButtonBox["URLFetch",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/URLFetch"],
 " and by default it returns \[LineSeparator]\tfrom OrientDB \tserver the \
contents as\ta JSON string and a status code."
}], "Notes",
 CellID->114907712],

Cell[TextData[{
 "\tDefault option for the HTTP method to use for request, ",
 StyleBox["method \[Rule] \"POST\"",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->241020182],

Cell[TextData[{
 "\tDefault option for parameters to be sent for the http request, ",
 StyleBox["param \[Rule] {}\[LineSeparator]\t",
  Background->RGBColor[1, 0.9, 0.8]],
 "URL parameters are not used in OrientDB API."
}], "Notes",
 CellID->310641717],

Cell[TextData[{
 "\tDefault option for the contents of message body to be sent, ",
 StyleBox["body \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " \[LineSeparator]\tThe body option is used indirectly to pass the sql \
script and sql commands.\[LineSeparator]\tThe following options are used to \
constuct the message body:"
}], "Notes",
 CellID->334191424],

Cell[TextData[{
 "\t",
 StyleBox["sql \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " option is used in ",
 StyleBox["addOSQL ",
  Background->RGBColor[1, 0.9, 0.8]],
 "and  ",
 StyleBox["getOSQL",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->297610381],

Cell[TextData[{
 "\t",
 StyleBox["class \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " option is used in :\[LineSeparator]\t",
 StyleBox["addDocument",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["addContent",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["addValues",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["addClass",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["addProperty",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["updProperty",
  Background->RGBColor[1, 0.9, 0.8]],
 ", \[LineSeparator]\t",
 StyleBox["delClass",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["delRecords",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["delProperty",
  Background->RGBColor[1, 0.9, 0.8]],
 ", delVALUES, ",
 StyleBox["getClass",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->470613833],

Cell[TextData[{
 "\t",
 StyleBox["class \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " and ",
 StyleBox["superclass \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " options are used in ",
 StyleBox["addClass",
  Background->RGBColor[1, 0.9, 0.8]],
 " command"
}], "Notes",
 CellID->125518819],

Cell[TextData[{
 "\t",
 StyleBox["keys \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " and ",
 StyleBox["values \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " options are used in ",
 StyleBox["addVALUES",
  Background->RGBColor[1, 0.9, 0.8]],
 " command\[LineSeparator]\tThese options are formatted according to SQL-92 \
syntax (see an ",
 ButtonBox["example",
  BaseStyle->"Hyperlink",
  ButtonData->"InsertValues"],
 ")"
}], "Notes",
 CellID->615183522],

Cell[TextData[{
 "\t",
 StyleBox["from \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " and ",
 StyleBox["to \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " options are used in creating edges with content, ",
 StyleBox["addCONTENT",
  Background->RGBColor[1, 0.9, 0.8]],
 " command."
}], "Notes",
 CellID->968484546],

Cell[TextData[{
 "\t",
 StyleBox["construct \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " is used in ",
 StyleBox["addContent, addInstance and delRecords",
  Background->RGBColor[1, 0.9, 0.8]],
 " command"
}], "Notes",
 CellID->180082668],

Cell[TextData[{
 "\t",
 StyleBox["record \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " option takes a JSON string and is used in \[LineSeparator]\t",
 StyleBox["addRecord",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["addContent",
  Background->RGBColor[1, 0.9, 0.8]],
 ", addEdge, and ",
 StyleBox["updRecord",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->329339902],

Cell[TextData[{
 "\t",
 StyleBox["ver \[Rule] -1",
  Background->RGBColor[1, 0.9, 0.8]],
 " option controls the version of the record to update, it is used in\
\[LineSeparator]\t",
 StyleBox["updRecord",
  Background->RGBColor[1, 0.9, 0.8]],
 " "
}], "Notes",
 CellID->164986832],

Cell[TextData[{
 "\t",
 StyleBox["attribnam \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["attribval \[Rule] \"\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " options are used in ",
 StyleBox["updDatabase",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["updClass",
  Background->RGBColor[1, 0.9, 0.8]],
 ", ",
 StyleBox["updProperty",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->129453999],

Cell[TextData[StyleBox["\tall \[Rule] False,  option is used in delRecords \
and updValues",
 Background->RGBColor[1, 0.9, 0.8]]], "Notes",
 CellID->375672473],

Cell[TextData[StyleBox["\tuniq \[Rule] False options in addInstance",
 Background->RGBColor[1, 0.9, 0.8]]], "Notes",
 CellID->101105845],

Cell[TextData[StyleBox["\tindexnam \[Rule] \"\", indextype \[Rule] \"\" \
options in addIndex",
 Background->RGBColor[1, 0.9, 0.8]]], "Notes",
 CellID->118323932],

Cell[TextData[StyleBox["\tmode->\"COMMAND\" in addOSQL",
 Background->RGBColor[1, 0.9, 0.8]]], "Notes",
 CellID->104060459],

Cell[TextData[{
 "\tDefault options for connecting to the server with ",
 StyleBox["usr \[Rule] \"admin\"",
  Background->RGBColor[1, 0.9, 0.8]],
 " and ",
 StyleBox["pwd \[Rule] \"admin\"",
  Background->RGBColor[1, 0.9, 0.8]]
}], "Notes",
 CellID->469643702]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[StyleBox["Enumerated Options",
   FontColor->RGBColor[0., 0.5019607843137255, 0.5019607843137255]]], 
   "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellTags->"EnumeratedOptions",
 CellID->239827978],

Cell[BoxData[{GridBox[{
   {"\[Placeholder]", 
    StyleBox[
     RowBox[{"debug", "\[IndentingNewLine]"}],
     FontFamily->"Courier New",
     FontSize->12,
     FontWeight->"Bold"], Cell["\<\
True/False
If True, prints message body of the http request\
\>", "TableText"]},
   {"\[Placeholder]", 
    StyleBox["com",
     FontFamily->"Courier New",
     FontSize->12,
     FontWeight->"Bold"], Cell[TextData[{
     "addOSQL\naddDatabase, \naddClass, addClassViaHTTP,\naddProperty, \
addPropertyViaHTTP,\naddRecord, \naddContent, \naddValues,\naddInstance, \n\
addIndex,\n",
     StyleBox["addEdge,",
      Background->RGBColor[1, 0.9, 0.8]],
     "\n\ndelDatabase, \ndelClass,\ndelProperty,\ndelRecords,\ndelValues,\n\
delConnection,\n\nupdDatabase,\nupdClass,\nupdProperty,\nupdValues,\n\
updRecord,\n\ngetOSQL,\ngetServer,\ngetDatabases\ngetClass, \ngetRecords,\n\n\
impDatabase, expDatabase,\n\nlogout, login"
    }], "TableText"]}
  }], "\[IndentingNewLine]", GridBox[{
   {"\[Placeholder]", 
    RowBox[{
     StyleBox["construct",
      FontFamily->"Courier New",
      FontSize->12,
      FontWeight->"Bold"], "\[IndentingNewLine]"}], Cell[
    "DOCUMENT, VERTEX, EDGE", "TableText"]}
  }], "\[IndentingNewLine]", GridBox[{
   {"\[Placeholder]", 
    StyleBox["method",
     FontFamily->"Courier New",
     FontSize->12,
     FontWeight->"Bold"], Cell["PUT, GET, DELETE, PUT, PATCH", "TableText"]}
  }], "\[IndentingNewLine]", GridBox[{
   {"\[Placeholder]", 
    StyleBox["mode",
     FontFamily->"Courier New",
     FontSize->12,
     FontWeight->"Bold"], Cell["COMMAND, BATCH", "TableText"]}
  }]}], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->12695],

Cell[TextData[{
 "The Input Assistant of the ",
 ButtonBox["Wolfram Predictive Interface",
  BaseStyle->"Link",
  ButtonData->"paclet:guide/WolframPredictiveInterface"],
 " offers context-sensitive autocompletion for the ",
 ButtonBox["enumerated option arguments",
  BaseStyle->"Hyperlink",
  ButtonData->"EnumeratedOptions"],
 " of ",
 Cell[BoxData[
  ButtonBox["ODBapi",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/ODBapi"]], "InlineFormula"],
 ". A drop-down list with option values is filtered automatically as you \
start typing the name of the option value e.g. ",
 StyleBox["com \[Rule] log...",
  Background->RGBColor[1, 0.9, 0.8]],
 "  and only two option values are displayed ",
 StyleBox["logout",
  Background->RGBColor[1, 0.9, 0.8]],
 " and ",
 StyleBox["login.",
  Background->RGBColor[1, 0.9, 0.8]],
 " If you want the drop-down list filtering to appear do not start quoting \
the option value. You can also select any of the ODBapi function templates to \
assist you in the completion of the command."
}], "Notes",
 CellID->291459538],

Cell[TextData[{
 "The auto-completion rules are automatically loaded on Front End from ",
 StyleBox["OptionValues folder",
  FontWeight->"Bold"],
 " at:"
}], "Notes",
 CellID->197257220],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FileNameJoin", "[", 
  RowBox[{"{", 
   RowBox[{
   "$InstallationDirectory", ",", " ", "\"\<SystemFiles\>\"", ",", " ", 
    "\"\<FrontEnd\>\"", ",", "\n", "  ", "\"\<SystemResources\>\"", ",", " ", 
    "\"\<FunctionalFrequency\>\"", ",", " ", "\"\<OptionValues\>\""}], "}"}], 
  "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->477983845],

Cell[BoxData["\<\"C:\\\\Mathematica\\\\SystemFiles\\\\FrontEnd\\\\\
SystemResources\\\\FunctionalFrequency\\\\OptionValues\"\>"], "Output",
 ImageSize->{508, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->59128613]
}, Open  ]],

Cell[TextData[{
 "Therefore to enable auto-completion for the ODBapi function search for the \
file \"ODBapi.m\". If you installed the package under the ",
 ButtonBox["$UserBaseDirectory",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/$UserBaseDirectory"],
 " then it is located at:"
}], "Notes",
 CellID->26009474],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"$UserBaseDirectory", " ", "<>", " ", 
  "\"\<\\\\Applications\\\\DBAPI\\\\Options\\\\ODBapi.m\>\""}]], "Input",
 CellLabel->"In[2]:=",
 CellID->330150412],

Cell[BoxData["\<\"C:\\\\Users\\\\athanassios\\\\AppData\\\\Roaming\\\\\
Mathematica\\\\Applications\\\\DBAPI\\\\Options\\\\ODBapi.m\"\>"], "Output",
 ImageSize->{578, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->73572344]
}, Open  ]],

Cell[TextData[{
 "Copy that file inside the",
 StyleBox[" OptionValues folder",
  FontWeight->"Bold"],
 " of your ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " installation."
}], "Notes",
 CellID->579706542]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[StyleBox["Change Default Options",
   FontColor->RGBColor[0., 0.5019607843137255, 0.5019607843137255]]], 
   "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellTags->"EnumeratedOptions",
 CellID->45748516],

Cell[TextData[{
 "Default options can be changed with the ",
 ButtonBox["SetOptions",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SetOptions"],
 " command e.g."
}], "Notes",
 CellID->19590254],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"ODBapi", ",", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}]}], "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->442552855]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[StyleBox["Latest Changes v.1.0.3",
   FontColor->RGBColor[0., 0.5019607843137255, 0.5019607843137255]]], 
   "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellTags->"EnumeratedOptions",
 CellID->448765882],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell["updValues", "TableText"], Cell[
    "updPropertyValues and updPropertyValue merged into updValues", 
     "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell["delRecords", "TableText"], Cell[
    "Enhanced with the all->True Option", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->48180734],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell["addIndex", "TableText"], Cell[
    "Create Index on a property of a class", "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell["addEdge", "TableText"], Cell[
    "Associate two records, i.e. link them bidirectionally", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->29424560],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell["addInstance", "TableText"], Cell["\<\
Create a unique instance or simply an instance of Document or Vertex by \
setting a specific value on a field\
\>", "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell["addRecord", "TableText"], Cell["\<\
Enhanced to create either an empty Document or a Document with content\
\>", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->442700228],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell["addValues", "TableText"], Cell["\<\
The construct option has been removed. Insert INTO Class works with both \
Document and Vertex\
\>", "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell["getRecords", "TableText"], Cell[
    "Return records", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->423373122]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->388420081],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->60661062],

Cell[TextData[{
 "Load the two packages that are included in the ",
 StyleBox["DBAPI`",
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 "context, the",
 StyleBox[" ",
  Background->RGBColor[1, 0.9, 0.8]],
 StyleBox["DBAPI`Utils`",
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 "and the ",
 StyleBox["DBAPI`OrientDB`",
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 ":"
}], "MathCaption",
 CellID->1825449234],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "DBAPI`OrientDB`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->565066498],

Cell[CellGroupData[{

Cell[BoxData["\<\"DBAPI Application Project\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->117142341],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Promoted and Distributed by \"\>", "\[InvisibleSpace]", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"HEALIS\"\>", True->
      StyleBox["\<\"HEALIS\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://healis.eu"], None},
     ButtonNote->"http://healis.eu"],
    Annotation[#, "http://healis.eu", "Hyperlink"]& ], 
   "\[InvisibleSpace]", "\<\"- Healthy Information Systems/Services\"\>"}],
  SequenceForm["Promoted and Distributed by ", 
   Hyperlink["HEALIS", "http://healis.eu"], 
   "- Healthy Information Systems/Services"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->203384812],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running on Mathematica \"\>", "\[InvisibleSpace]", 
   RowBox[{"\<\"Version\"\>", 
    "\[Rule]", "\<\"10.3.1 for Microsoft Windows (64-bit) (December 9, \
2015)\"\>"}]}],
  SequenceForm[
  "Running on Mathematica ", "Version" -> 
   "10.3.1 for Microsoft Windows (64-bit) (December 9, 2015)"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->8282282],

Cell[BoxData["\<\"\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->200123708],

Cell[BoxData["\<\"Data Utilities Package v0.9\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->518008986],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Copyright December 2015, By \"\>", "\[InvisibleSpace]", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"Athanassios I. Hatzis\"\>", True->
      StyleBox["\<\"Athanassios I. Hatzis\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://www.linkedin.com/in/athanassios"], None},
     ButtonNote->"https://www.linkedin.com/in/athanassios"],
    Annotation[#, "https://www.linkedin.com/in/athanassios", "Hyperlink"]& ]}],
  SequenceForm["Copyright December 2015, By ", 
   Hyperlink[
   "Athanassios I. Hatzis", "https://www.linkedin.com/in/athanassios"]],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->511799864],

Cell[BoxData["\<\"Distributed under GNU LGPL - GNU Lesser General Public \
License\\n\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->149824193],

Cell[BoxData["\<\"OrientDB API Package v1.0.3\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->385871919],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Copyright February 2016, By \"\>", "\[InvisibleSpace]", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"Athanassios I. Hatzis\"\>", True->
      StyleBox["\<\"Athanassios I. Hatzis\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["https://www.linkedin.com/in/athanassios"], None},
     ButtonNote->"https://www.linkedin.com/in/athanassios"],
    Annotation[#, "https://www.linkedin.com/in/athanassios", "Hyperlink"]& ]}],
  SequenceForm["Copyright February 2016, By ", 
   Hyperlink[
   "Athanassios I. Hatzis", "https://www.linkedin.com/in/athanassios"]],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->3640034],

Cell[BoxData["\<\"Distributed under GNU LGPL - GNU Lesser General Public \
License\\n\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->433246495]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Commands",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(8)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->250621648],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Database",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->316979146],

Cell[TextData[StyleBox["Add Database command creates a, disk-based or memory, \
document or graph, database with a username and password on remote database \
Server",
 FontWeight->"Bold"]], "ExampleText",
 CellID->515986873],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", "\"\<addDatabase\>\""}], ",", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
    RowBox[{"dbtype", "\[Rule]", "\"\<plocal/graph\>\""}], ",", 
    RowBox[{"usr", "\[Rule]", "\"\<root\>\""}], ",", 
    RowBox[{"pwd", "\[Rule]", "\"\<123\>\""}], ",", 
    RowBox[{"debug", "\[Rule]", "True"}]}], "]"}], "//", "Short"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->214176277],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/database/DemoDB/plocal/graph\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/database/DemoDB/plocal/graph", "\n=== Body ===\n", 
   ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[18]:=",
 CellID->469743775],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\<\"{\\\"classes\\\":[{\\\"name\\\":\\\"ORole\\\",\\\"superClass\
\\\":\"\>", 
     "\[Ellipsis]", \
"\<\"s\\\":[{\\\"name\\\":\\\"strictSql\\\",\\\"value\\\":\\\"true\\\"}]}}\"\>\
"}], ",", "200"}], "}"}],
  Short]], "Output",
 ImageSize->{367, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//Short=",
 CellID->82460841]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Class",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->278150407],

Cell[TextData[StyleBox["Add a class by executing SQL CREATE CLASS  to create \
a new class in the schema and \[LineSeparator]optionally extend a superclass. \
",
 FontWeight->"Bold"]], "ExampleText",
 CellID->824894262],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addClass\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->186146929],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE CLASS Person\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE CLASS Person"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[21]:=",
 CellID->533106245],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":12}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{400, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->158878104]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addClass\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Employee\>\""}], ",", 
   RowBox[{"superclass", "\[Rule]", "\"\<Person\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->753650141],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE CLASS Employee extends Person\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE CLASS Employee extends Person"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[22]:=",
 CellID->528825357],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":13}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{400, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->472882513]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", "\"\<addClass\>\""}], ",", " ", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
    RowBox[{"class", "\[Rule]", "\"\<Flower\>\""}], ",", " ", 
    RowBox[{"superclass", "\[Rule]", "\"\<V\>\""}], ",", " ", 
    RowBox[{"debug", "\[Rule]", "True"}]}], "]"}], ";"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->48435885],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE CLASS Flower extends V\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE CLASS Flower extends V"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[12]:=",
 CellID->700460360]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addClass\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<isOwnerOf\>\""}], ",", " ", 
   RowBox[{"superclass", "\[Rule]", "\"\<E\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->149770616],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE CLASS isOwnerOf extends E\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE CLASS isOwnerOf extends E"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[13]:=",
 CellID->592412315],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":17}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{400, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->45098631]
}, Open  ]],

Cell[TextData[StyleBox["Add a class via HTTP",
 FontWeight->"Bold"]], "ExampleText",
 CellID->782332945],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addClassViaHTTP\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Company\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->448393354],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/class/DemoDB/Company\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/class/DemoDB/Company", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[23]:=",
 CellID->23424792],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"14\"\>", ",", "201"}], "}"}]], "Output",
 ImageSize->{64, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->13272287]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Property",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->56533721],

Cell[TextData[StyleBox["Add a property via SQL CREATE PROPERTY command",
 FontWeight->"Bold"]], "ExampleText",
 CellID->7432632],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addProperty\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", "\"\<personName\>\""}], ",", 
   RowBox[{"proptype", "\[Rule]", " ", "\"\<STRING\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->48164538],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE PROPERTY Person.personName STRING\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE PROPERTY Person.personName STRING"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[24]:=",
 CellID->180631472],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":1}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->488964167]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addProperty\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Car\>\""}], ",", 
   RowBox[{"propnam", "\[Rule]", "\"\<vehno\>\""}], ",", 
   RowBox[{"proptype", "\[Rule]", "\"\<STRING\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->8199403],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE PROPERTY Car.vehno STRING\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE PROPERTY Car.vehno STRING"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[25]:=",
 CellID->741193932],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":1}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->11611495]
}, Open  ]],

Cell[TextData[StyleBox["Add a property via HTTP",
 FontWeight->"Bold"]], "ExampleText",
 CellID->336507200],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", " ", "\"\<addPropertyViaHTTP\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", "\"\<personGender\>\""}], ",", 
   RowBox[{"proptype", "\[Rule]", " ", "\"\<STRING\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->98018934],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/property/DemoDB/Person/personGender/\
STRING\"\>", "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/property/DemoDB/Person/personGender/STRING", 
   "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[25]:=",
 CellID->479033624],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"2\"\>", ",", "201"}], "}"}]], "Output",
 ImageSize->{57, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->41135162]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Records",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->9802361],

Cell[TextData[{
 "In Wolfram language we can represent the record with a hierarchical ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of ",
 ButtonBox["Rule",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Rule"],
 " "
}], "ExampleText",
 CellID->34439295],

Cell[BoxData[
 RowBox[{
  RowBox[{"john", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\"\<telephones\>\"", "\[Rule]", 
      RowBox[{"Thread", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<home\>\"", ",", "\"\<business\>\"", ",", " ", 
          "\"\<mobile\>\""}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<2104566345\>\"", ",", "\"\<2108856844\>\"", ",", 
          "\"\<6974059256\>\""}], "}"}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\"\<firstName\>\"", "\[Rule]", "\"\<John\>\""}], ",", " ", 
     RowBox[{"\"\<lastName\>\"", "\[Rule]", "\"\<Brown\>\""}], ",", 
     RowBox[{"\"\<DOB\>\"", "\[Rule]", " ", "\"\<1971-10-01\>\""}], ",", 
     RowBox[{"\"\<age\>\"", "\[Rule]", "44"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->81816368],

Cell[TextData[{
 "Then we transform the list of rules above to a JSON string using the ",
 Cell[BoxData[
  ButtonBox["DBexpressionToJSON",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/DBexpressionToJSON"]], "InlineFormula"],
 " function of the ",
 StyleBox[ButtonBox["Utilities Package",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 StyleBox[".",
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]]
}], "ExampleText",
 CellID->38407642],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"johnJSON", "=", 
  RowBox[{"john", "//", 
   RowBox[{
    RowBox[{"DBexpressionToJSON", "[", 
     RowBox[{"#", ",", 
      RowBox[{"compact", "\[Rule]", "True"}]}], "]"}], "&"}]}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->118460324],

Cell[BoxData["\<\"{\\\"telephones\\\":{\\\"home\\\":\\\"2104566345\\\",\\\"\
business\\\":\\\"2108856844\\\",\\\"mobile\\\":\\\"6974059256\\\"},\\\"\
firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"Brown\\\",\\\"DOB\\\":\\\"\
1971-10-01\\\",\\\"age\\\":44}\"\>"], "Output",
 ImageSize->{578, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->26944221]
}, Open  ]],

Cell[TextData[StyleBox["Add a JSON stuctured Document by inserting the \
schemaless record into Person Class via the message body.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->298344496],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addRecord\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"record", "\[Rule]", " ", "johnJSON"}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->620075524],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/document/DemoDB\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", \
"\<\"{\\\"@class\\\":\\\"Person\\\",\\\"telephones\\\":{\\\"home\\\":\\\"\
2104566345\\\",\\\"business\\\":\\\"2108856844\\\",\\\"mobile\\\":\\\"\
6974059256\\\"},\\\"firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"Brown\\\",\
\\\"DOB\\\":\\\"1971-10-01\\\",\\\"age\\\":44}\"\>"}],
  SequenceForm[
  "http://localhost:2480/document/DemoDB", "\n=== Body ===\n", 
   "{\"@class\":\"Person\",\"telephones\":{\"home\":\"2104566345\",\"business\
\":\"2108856844\",\"mobile\":\"6974059256\"},\"firstName\":\"John\",\"\
lastName\":\"Brown\",\"DOB\":\"1971-10-01\",\"age\":44}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[24]:=",
 CellID->121066221],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#12:0\\\",\\\"@\
version\\\":1,\\\"@class\\\":\\\"Person\\\",\\\"telephones\\\":{\\\"home\\\":\
\\\"2104566345\\\",\\\"business\\\":\\\"2108856844\\\",\\\"mobile\\\":\\\"\
6974059256\\\"},\\\"firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"Brown\\\",\
\\\"DOB\\\":\\\"1971-10-01\\\",\\\"age\\\":44}\"\>", ",", "201"}], 
  "}"}]], "Output",
 ImageSize->{578, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->184264145]
}, Open  ]],

Cell[TextData[StyleBox["Add another instance of Person class, this time with \
a  structured document without content, i.e. a Document with only metadata \
info, @type, @rid, @version, @class. Omit the record parameter in that case.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->308399714],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addRecord\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->6464956],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/document/DemoDB\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"{\\\"@class\\\":\\\"Person\\\"}\"\>"}],
  SequenceForm[
  "http://localhost:2480/document/DemoDB", "\n=== Body ===\n", 
   "{\"@class\":\"Person\"}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[30]:=",
 CellID->523983806],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#12:1\\\",\\\"@\
version\\\":1,\\\"@class\\\":\\\"Person\\\"}\"\>", ",", "201"}], 
  "}"}]], "Output",
 ImageSize->{463, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->146125901]
}, Open  ]],

Cell[TextData[{
 "You can also create an empty record, i.e. instance of Document or Vertex \
with the ",
 StyleBox["addInstance ",
  FontWeight->"Bold"],
 "command."
}], "ExampleText",
 CellID->593409256],

Cell[TextData[StyleBox["Add the above JSON stuctured Document into Person via \
SQL INSERT INTO command. To memorize this command, think of a content that \
you add on an empty record.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->426596392],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addContent\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"record", "\[Rule]", " ", "johnJSON"}], ",", " ", 
   RowBox[{"construct", "\[Rule]", " ", "\"\<DOCUMENT\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->180529662],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"INSERT INTO Person content {\\\"telephones\\\":{\
\\\"home\\\":\\\"2104566345\\\",\\\"business\\\":\\\"2108856844\\\",\\\"\
mobile\\\":\\\"6974059256\\\"},\\\"firstName\\\":\\\"John\\\",\\\"lastName\\\"\
:\\\"Brown\\\",\\\"DOB\\\":\\\"1971-10-01\\\",\\\"age\\\":44}\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "INSERT INTO Person content \
{\"telephones\":{\"home\":\"2104566345\",\"business\":\"2108856844\",\"mobile\
\":\"6974059256\"},\"firstName\":\"John\",\"lastName\":\"Brown\",\"DOB\":\"\
1971-10-01\",\"age\":44}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[31]:=",
 CellID->342093021],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#12:\
2\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Person\\\",\\\"telephones\\\":{\\\
\"home\\\":\\\"2104566345\\\",\\\"business\\\":\\\"2108856844\\\",\\\"mobile\\\
\":\\\"6974059256\\\"},\\\"firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"\
Brown\\\",\\\"DOB\\\":\\\"1971-10-01\\\",\\\"age\\\":44}]}\"\>", ",", "200"}],
   "}"}]], "Output",
 ImageSize->{578, 67},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->1004973646]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addContent\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", "\"\<Flower\>\""}], ",", " ", 
   RowBox[{
   "record", "\[Rule]", "\"\<{'genus':'Mentha','kingdom':'Plantae'}\>\""}], 
   ",", " ", 
   RowBox[{"construct", "\[Rule]", "\"\<VERTEX\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->252846904],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE VERTEX Flower content \
{'genus':'Mentha','kingdom':'Plantae'}\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE VERTEX Flower content {'genus':'Mentha','kingdom':'Plantae'}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[32]:=",
 CellID->46649608],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:\
0\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Flower\\\",\\\"genus\\\":\\\"\
Mentha\\\",\\\"kingdom\\\":\\\"Plantae\\\"}]}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{564, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->446181110]
}, Open  ]],

Cell[TextData[StyleBox["Add the above JSON stuctured Document into Person via \
SQL INSERT VALUES command",
 FontWeight->"Bold"]], "ExampleText",
 CellTags->"InsertValues",
 CellID->104620295],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kstr", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"john", "//", "Association"}], "//", "Keys"}], "//", 
   RowBox[{
    RowBox[{"DBListSetToSQL92", "[", 
     RowBox[{"#", ",", 
      RowBox[{"values", "\[Rule]", "False"}]}], "]"}], "&"}]}]}]], "Input",
 CellLabel->"In[7]:=",
 CellID->453969814],

Cell[BoxData["\<\"(telephones, firstName, lastName, DOB, age)\"\>"], "Output",
 ImageSize->{305, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->83886969]
}, Open  ]],

Cell[TextData[{
 "We apply a series of transformation to get the Keys and Values strings in \
SQL-92 format. ",
 ButtonBox["Association",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Association"],
 " and ",
 ButtonBox["Keys",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Keys"],
 " are Wolfram functions, ",
 Cell[BoxData[
  ButtonBox["DBListSetToSQL92",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/DBListSetToSQL92"]], "InlineFormula"],
 " is a function of the",
 StyleBox[ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"],
  Background->RGBColor[1, 0.9, 0.8]],
 StyleBox[ButtonBox["Utilities package",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 "."
}], "ExampleText",
 CellID->185542181],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vstr", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"john", "//", "Association"}], "//", "Values"}], "//", 
   "DBListSetToSQL92"}]}]], "Input",
 CellLabel->"In[8]:=",
 CellID->463558094],

Cell[BoxData["\<\"({\\\"home\\\":\\\"2104566345\\\",\\\"business\\\":\\\"\
2108856844\\\",\\\"mobile\\\":\\\"6974059256\\\"}, \\\"John\\\", \
\\\"Brown\\\", \\\"1971-10-01\\\", 44)\"\>"], "Output",
 ImageSize->{494, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->35661154]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addValues\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", 
   RowBox[{"keys", "\[Rule]", "kstr"}], ",", " ", 
   RowBox[{"values", "\[Rule]", "vstr"}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[9]:=",
 CellID->8922180],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"INSERT INTO Person (telephones, firstName, \
lastName, DOB, age) VALUES \
({\\\"home\\\":\\\"2104566345\\\",\\\"business\\\":\\\"2108856844\\\",\\\"\
mobile\\\":\\\"6974059256\\\"}, \\\"John\\\", \\\"Brown\\\", \\\"1971-10-01\\\
\", 44)\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "INSERT INTO Person (telephones, firstName, lastName, DOB, age) VALUES \
({\"home\":\"2104566345\",\"business\":\"2108856844\",\"mobile\":\"6974059256\
\"}, \"John\", \"Brown\", \"1971-10-01\", 44)"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[37]:=",
 CellID->36168932],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#12:\
3\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Person\\\",\\\"telephones\\\":{\\\
\"business\\\":\\\"2108856844\\\",\\\"mobile\\\":\\\"6974059256\\\",\\\"home\\\
\":\\\"2104566345\\\"},\\\"firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"\
Brown\\\",\\\"DOB\\\":\\\"1971-10-01\\\",\\\"age\\\":44}]}\"\>", ",", "200"}],
   "}"}]], "Output",
 ImageSize->{578, 67},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[9]=",
 CellID->106835321]
}, Open  ]],

Cell["\<\
Another example adding multiple vertices, (Flower class extends V)\
\>", "ExampleText",
 CellID->402833583],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addValues\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Flower\>\""}], ",", 
   RowBox[{"keys", "\[Rule]", "\"\<(genus,kingdom)\>\""}], ",", 
   RowBox[{
   "values", "\[Rule]", 
    "\"\<('Citrus','Plantae'),('Fragaria','Plantae')\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[10]:=",
 CellID->4279078],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"INSERT INTO Flower (genus,kingdom) VALUES \
('Citrus','Plantae'),('Fragaria','Plantae')\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "INSERT INTO Flower (genus,kingdom) VALUES \
('Citrus','Plantae'),('Fragaria','Plantae')"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[38]:=",
 CellID->336375147],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:\
1\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Flower\\\",\\\"genus\\\":\\\"\
Citrus\\\",\\\"kingdom\\\":\\\"Plantae\\\"}, \
{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:2\\\",\\\"@version\\\":1,\\\"@\
class\\\":\\\"Flower\\\",\\\"genus\\\":\\\"Fragaria\\\",\\\"kingdom\\\":\\\"\
Plantae\\\"}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{566, 67},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->208141982]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Index",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->272651785],

Cell[TextData[StyleBox["Create an Index on a property of a class and specify \
that the values of that property cannot be duplicated, i.e. unique index \
type. ",
 FontWeight->"Bold"]], "ExampleText",
 CellID->57906341],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addIndex\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Car\>\""}], ",", 
   RowBox[{"indexnam", "\[Rule]", "\"\<vehnoNDX\>\""}], ",", 
   RowBox[{"indextype", "\[Rule]", "\"\<UNIQUE\>\""}], ",", 
   RowBox[{"propnam", "\[Rule]", "\"\<vehno\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->3985067],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE INDEX vehnoNDX ON Car (vehno) \
UNIQUE\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE INDEX vehnoNDX ON Car (vehno) UNIQUE"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[27]:=",
 CellID->428693505],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":1,\\\"@fieldTypes\\\":\\\"value=l\\\"}]}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{561, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->322603359]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Instance",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->24025313],

Cell[TextData[StyleBox["This command creates a new instance of a class. If \
the class extends Vertex, then it is based on the SQL CREATE VERTEX command. \
If it is simply a Document class, then SQL INSERT INTO is called instead. The \
class and construct options are mandatory.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->67762327],

Cell[TextData[StyleBox["On the contrary, propnam and propval arguments are \
optional",
 FontWeight->"Bold"]], "ExampleText",
 CellID->706135773],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addInstance\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Car\>\""}], ",", 
   RowBox[{"propnam", "\[Rule]", "\"\<vehno\>\""}], ",", 
   RowBox[{"propval", "\[Rule]", "\"\<'YFR5886'\>\""}], ",", 
   RowBox[{"construct", "\[Rule]", "\"\<DOCUMENT\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->340940696],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"INSERT INTO Car SET vehno='YFR5886'\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "INSERT INTO Car SET vehno='YFR5886'"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[18]:=",
 CellID->251314856],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#16:\
2\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Car\\\",\\\"vehno\\\":\\\"YFR5886\
\\\"}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{543, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->18934875]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addInstance\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", "\"\<Car\>\""}], ",", 
   RowBox[{"construct", "\[Rule]", "\"\<DOCUMENT\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->743316927],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"INSERT INTO Car CONTENT \
{\\\"@class\\\":\\\"Car\\\"}\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "INSERT INTO Car CONTENT {\"@class\":\"Car\"}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[23]:=",
 CellID->285713211],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#16:\
3\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Car\\\"}]}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{533, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->374171958]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addInstance\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Flower\>\""}], ",", 
   RowBox[{"propnam", "\[Rule]", "\"\<genus\>\""}], ",", 
   RowBox[{"propval", "\[Rule]", "\"\<'ROSARIA'\>\""}], ",", 
   RowBox[{"construct", "\[Rule]", "\"\<VERTEX\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->378726370],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE VERTEX Flower SET genus='ROSARIA'\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE VERTEX Flower SET genus='ROSARIA'"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[21]:=",
 CellID->3727685],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:\
4\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Flower\\\",\\\"genus\\\":\\\"\
ROSARIA\\\"}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{564, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->905494]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addInstance\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Flower\>\""}], ",", 
   RowBox[{"construct", "\[Rule]", "\"\<VERTEX\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->186049008],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE VERTEX Flower\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE VERTEX Flower"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[22]:=",
 CellID->257394770],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:\
5\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Flower\\\"}]}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{554, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->456667289]
}, Open  ]],

Cell[TextData[StyleBox["Add a single instance, i.e. a record with property \
values that cannot be duplicated. Omit the construct argument as it can be \
applied in both a Vertex and Document Class. As a prerequisite step for this \
a UNIQUE index should be created first, see add Index above. Once the index \
has been set, we can use the following command and set uniq argument to true. \
 This forces OrientDB to use the SQL UPSERT command to update the value and \
change the version number if it exists or create a new record it if it does \
not exist.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->65748183],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addInstance\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Car\>\""}], ",", 
   RowBox[{"propnam", "\[Rule]", "\"\<vehno\>\""}], ",", 
   RowBox[{"propval", "\[Rule]", "\"\<'UIT5564'\>\""}], ",", 
   RowBox[{"uniq", "\[Rule]", "True"}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->549972430],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"UPDATE Car SET vehno='UIT5564' upsert return \
after @rid where vehno='UIT5564'\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "UPDATE Car SET vehno='UIT5564' upsert return after @rid where \
vehno='UIT5564'"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[36]:=",
 CellID->18330123],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#16:\
4\\\",\\\"@version\\\":6,\\\"@class\\\":\\\"Car\\\",\\\"vehno\\\":\\\"UIT5564\
\\\"}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{543, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->57278292]
}, Open  ]],

Cell["\<\
Run the command above multiple times and notice how the @version field is \
changed. An attempt to create the record with the same value using a \
different command results in an error.\
\>", "ExampleText",
 CellID->34720817],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addContent\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Car\>\""}], ",", " ", 
   RowBox[{"record", "\[Rule]", "\"\<{vehno:'UIT5564'}\>\""}], ",", 
   RowBox[{"construct", "\[Rule]", "\"\<DOCUMENT\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->254584266],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"INSERT INTO Car content {vehno:'UIT5564'}\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "INSERT INTO Car content {vehno:'UIT5564'}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[38]:=",
 CellID->244230326],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\r\\n  \\\"errors\\\": [\\r\\n    {\\r\\n      \\\"code\\\": \
500,\\r\\n      \\\"reason\\\": 500,\\r\\n      \\\"content\\\": \
\\\"com.orientechnologies.orient.core.storage.ORecordDuplicatedException: \
Cannot index record Car{vehno:UIT5564}: found duplicated key 'UIT5564' in \
index 'vehnoNDX' previously assigned to the record #16:4 RID=#16:4\\\"\\r\\n  \
  }\\r\\n  ]\\r\\n}\"\>", ",", "500"}], "}"}]], "Output",
 ImageSize->{525, 339},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->643003214]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add Edge",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->140665268],

Cell["Update Car and Person to extend Vertex Class", "ExampleText",
 CellID->133885316],

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", "\"\<updClass\>\""}], ",", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
    RowBox[{"class", "\[Rule]", "\"\<Car\>\""}], ",", 
    RowBox[{"attribnam", "\[Rule]", "\"\<SUPERCLASS\>\""}], ",", 
    RowBox[{"attribval", "\[Rule]", "\"\<V\>\""}]}], "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->106005306],

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", "\"\<updClass\>\""}], ",", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
    RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", 
    RowBox[{"attribnam", "\[Rule]", "\"\<SUPERCLASS\>\""}], ",", 
    RowBox[{"attribval", "\[Rule]", "\"\<V\>\""}]}], "]"}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->207337756],

Cell[TextData[StyleBox["AddEdge command creates a bidirectional link between \
two records. In that case we say that the two instances are associated. Three \
parameters are mandatory in all forms of addEdge command: class, from and to. \
",
 FontWeight->"Bold"]], "ExampleText",
 CellID->64032220],

Cell[TextData[StyleBox["The simplest form is to associate the records with an \
OrientDB lightweight edge. This is an edge with an empty content, i.e. no \
fields or properties defined or set on the edge.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->534524053],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addEdge\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<isOwnerOf\>\""}], ",", 
   RowBox[{"from", "\[Rule]", "\"\<12:0\>\""}], ",", 
   RowBox[{"to", "\[Rule]", "\"\<16:0\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->447479685],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE EDGE isOwnerOf FROM 12:0 TO 16:0\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE EDGE isOwnerOf FROM 12:0 TO 16:0"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[16]:=",
 CellID->15583785],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"@class\\\":\\\"isOwnerOf\\\",\\\"in\\\":\\\"#16:0\\\",\\\"out\\\":\\\"#12:0\
\\\",\\\"@fieldTypes\\\":\\\"in=x,out=x\\\"}]}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{578, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->353320058]
}, Open  ]],

Cell["\<\
Prior to the execution of this command make sure that database has been \
configured to use LightWeightEdges. See the updDatabase command on this.\
\>", "ExampleText",
 CellID->52447165],

Cell[TextData[StyleBox["The other form of addEdge command is using the \
propnam and propval arguments to set a property value on the edge.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->390920991],

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", " ", "\"\<updDatabase\>\""}], ",", " ", 
    RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
    RowBox[{
    "attribnam", "\[Rule]", " ", "\"\<custom useLightweightEdges=\>\""}], ",",
     " ", 
    RowBox[{"attribval", "\[Rule]", " ", "\"\<false\>\""}]}], "]"}], 
  ";"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->166481020],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addEdge\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<isOwnerOf\>\""}], ",", 
   RowBox[{"from", "\[Rule]", "\"\<12:3\>\""}], ",", 
   RowBox[{"to", "\[Rule]", "\"\<16:0\>\""}], ",", 
   RowBox[{"propnam", "\[Rule]", "\"\<country\>\""}], ",", 
   RowBox[{"propval", "\[Rule]", "\"\<'Germany'\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->29108739],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE EDGE isOwnerOf FROM 12:3 TO 16:0\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE EDGE isOwnerOf FROM 12:3 TO 16:0"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[22]:=",
 CellID->563195627],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#17:\
0\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"isOwnerOf\\\",\\\"out\\\":\\\"#12:\
3\\\",\\\"in\\\":\\\"#16:0\\\",\\\"@fieldTypes\\\":\\\"out=x,in=x\\\"}]}\"\>",
    ",", "200"}], "}"}]], "Output",
 ImageSize->{571, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->45116876]
}, Open  ]],

Cell[TextData[StyleBox["There is also a third form of addEdge command that is \
using the record argument to create content on the edge. ",
 FontWeight->"Bold"]], "ExampleText",
 CellID->609087964],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addEdge\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<isOwnerOf\>\""}], ",", 
   RowBox[{"from", "\[Rule]", "\"\<12:0\>\""}], ",", 
   RowBox[{"to", "\[Rule]", "\"\<16:2\>\""}], ",", 
   RowBox[{
   "record", "\[Rule]", "\"\<{'country':'Greece','since':'2014/1/1'}\>\""}], 
   ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->7847186],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"CREATE EDGE isOwnerOf FROM 12:0 TO 16:2 CONTENT \
{'country':'Greece','since':'2014/1/1'}\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "CREATE EDGE isOwnerOf FROM 12:0 TO 16:2 CONTENT \
{'country':'Greece','since':'2014/1/1'}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[24]:=",
 CellID->319618485],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#17:\
1\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"isOwnerOf\\\",\\\"country\\\":\\\"\
Greece\\\",\\\"since\\\":\\\"2014/1/1\\\",\\\"out\\\":\\\"#12:0\\\",\\\"in\\\"\
:\\\"#16:2\\\",\\\"@fieldTypes\\\":\\\"out=x,in=x\\\"}]}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{578, 67},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->7636651]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Add OSQL",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->212652573],

Cell[TextData[StyleBox["AddOSQLScript means that the database may change. \
OrientDB batch of SQL commands can be non-idempotent  and are executed via \
POST in a single call. The 'mode' argument in batch mode is mandatory, \
default value is \"command\".",
 FontWeight->"Bold"]], "ExampleText",
 CellID->398791406],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "osqlScript", "=", 
   "\"\<\nCREATE CLASS Car EXTENDS V;\nCREATE VERTEX Car SET \
brand='FIAT',model='Punto',year='2000-01-01'\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", "\"\<addOSQL\>\""}], ",", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
    RowBox[{"sql", "\[Rule]", "osqlScript"}], ",", 
    RowBox[{"mode", "\[Rule]", "\"\<BATCH\>\""}], ",", 
    RowBox[{"debug", "\[Rule]", "True"}]}], "]"}], " "}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->31826],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/batch/DemoDB\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"{\\n    \\\"transaction\\\": false,\\n    \
\\\"operations\\\": [\\n        {\\n            \\\"type\\\": \\\"script\\\",\
\\n            \\\"language\\\": \\\"sql\\\",\\n            \\\"script\\\": \
\\\"\\\\nCREATE CLASS Car EXTENDS V;\\\\nCREATE VERTEX Car SET \
brand='FIAT',model='Punto',year='2000-01-01'\\\"\\n        }\\n    \
]\\n}\"\>"}],
  SequenceForm[
  "http://localhost:2480/batch/DemoDB", "\n=== Body ===\n", 
   "{\n    \"transaction\": false,\n    \"operations\": [\n        {\n        \
    \"type\": \"script\",\n            \"language\": \"sql\",\n            \
\"script\": \"\\nCREATE CLASS Car EXTENDS V;\\nCREATE VERTEX Car SET \
brand='FIAT',model='Punto',year='2000-01-01'\"\n        }\n    ]\n}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[43]:=",
 CellID->708831738],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#16:\
0\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Car\\\",\\\"brand\\\":\\\"FIAT\\\"\
,\\\"model\\\":\\\"Punto\\\",\\\"year\\\":\\\"2000-01-01\\\"}]}\"\>", ",", 
   "200"}], "}"}]], "Output",
 ImageSize->{578, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->94126111]
}, Open  ]],

Cell[TextData[StyleBox["AddOSQLCommand means that the database may change. \
\[LineSeparator]OrientDB SQL command executed under the hood via POST can be \
non-idempotent",
 FontWeight->"Bold"]], "ExampleText",
 CellID->197842509],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<addOSQL\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", "\[IndentingNewLine]", 
   RowBox[{"sql", "\[Rule]", "\"\<UPDATE Car SET model='bravo'\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->3281],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"UPDATE Car SET model='bravo'\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "UPDATE Car SET model='bravo'"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[45]:=",
 CellID->464467123],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":1}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->184906942]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Update Commands",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(5)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->181574905],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Update Database",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->36611070],

Cell[TextData[StyleBox["Update Database command is executed via SQL - ALTER \
DATABASE operation. This command updates database settings.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->489969174],

Cell["\<\
Change DATETIMEFORMAT attribute in the database to use ISO 8601 dates\
\>", "ExampleText",
 CellID->330793683],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updDatabase\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"attribnam", "\[Rule]", "\"\<DATETIMEFORMAT\>\""}], ",", " ", 
   RowBox[{
   "attribval", "\[Rule]", " ", "\"\<yyyy/MM/dd'T'HH:mm:ss.SSS'Z'\>\""}], ",",
    " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->696168301],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"ALTER DATABASE DATETIMEFORMAT \
yyyy/MM/dd'T'HH:mm:ss.SSS'Z'\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "ALTER DATABASE DATETIMEFORMAT yyyy/MM/dd'T'HH:mm:ss.SSS'Z'"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[56]:=",
 CellID->651289536],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->293332466]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updDatabase\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"attribnam", "\[Rule]", "\"\<DATEFORMAT\>\""}], ",", " ", 
   RowBox[{"attribval", "\[Rule]", " ", "\"\<yyyy/MM/dd\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->787626537],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"ALTER DATABASE DATEFORMAT yyyy/MM/dd\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "ALTER DATABASE DATEFORMAT yyyy/MM/dd"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[57]:=",
 CellID->245252086],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->759058585]
}, Open  ]],

Cell["Enable Lightweight Edges, i.e. bidirectional links ", "ExampleText",
 CellID->11993676],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", " ", "\"\<updDatabase\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{
   "attribnam", "\[Rule]", " ", "\"\<custom useLightweightEdges=\>\""}], ",", 
   " ", 
   RowBox[{"attribval", "\[Rule]", " ", "\"\<true\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->24890243],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"ALTER DATABASE custom useLightweightEdges= \
true\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "ALTER DATABASE custom useLightweightEdges= true"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[47]:=",
 CellID->864311456],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->90560943]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Update Class",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->409177094],

Cell[TextData[StyleBox["Update Class command is executed via SQL - ALTER \
CLASS operation. This command alters a class in the schema.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->56512676],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updClass\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"attribnam", "\[Rule]", " ", "\"\<SHORTNAME\>\""}], ",", " ", 
   RowBox[{"attribval", "\[Rule]", " ", "\"\<P\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->610726695],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"ALTER CLASS Person SHORTNAME P\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "ALTER CLASS Person SHORTNAME P"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[48]:=",
 CellID->176421976],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->224586240]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Update Property",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->757698320],

Cell[TextData[StyleBox["Update Property command is executed via SQL - ALTER \
PROPERTY operation. This command alter's a class's property in the schema.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->32358624],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", " ", "\"\<updProperty\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", " ", "\"\<personName\>\""}], ",", " ", 
   RowBox[{"attribnam", "\[Rule]", " ", "\"\<MANDATORY\>\""}], ",", " ", 
   RowBox[{"attribval", "\[Rule]", " ", "\"\<false\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->94215897],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"ALTER PROPERTY Person.personName MANDATORY false\
\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "ALTER PROPERTY Person.personName MANDATORY false"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[49]:=",
 CellID->62099064],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->56643107]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Update Value(s)",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->609940359],

Cell[TextData[StyleBox["Update property values for ALL records in a class \
that have that property (field) or insert key-value pairs in the Document \
record if that field does not exist. The 'all' argument is mandatory and must \
be set to true. Also the propnam, proval and class arguments are mandatory \
too.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->624051007],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updValues\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Car\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", " ", "\"\<cc\>\""}], ",", " ", 
   RowBox[{"propval", "\[Rule]", " ", "\"\<1200\>\""}], ",", " ", 
   RowBox[{"all", "->", "True"}], ",", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->326795990],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"UPDATE Car set cc=1200\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "UPDATE Car set cc=1200"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[51]:=",
 CellID->389687445],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":1}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->365141488]
}, Open  ]],

Cell["\<\
Similar command, but this time update the field value of multiple records \
based on a condition\
\>", "ExampleText",
 CellID->284451177],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updValues\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", 
   RowBox[{"propnam", "\[Rule]", "\"\<age\>\""}], ",", 
   RowBox[{"propval", "\[Rule]", "\"\<57 where age<60\>\""}], ",", 
   RowBox[{"all", "\[Rule]", "True"}], ",", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->461218484],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"UPDATE Person set age=57 where age<60\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "UPDATE Person set age=57 where age<60"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[55]:=",
 CellID->261776505],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":3}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->159038880]
}, Open  ]],

Cell[TextData[StyleBox["Update the property value of a single record. The \
default value of 'all' argument is False and can be omitted. Note that class \
argument is not required here.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->36501160],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updValues\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"id", "\[Rule]", " ", "\"\<16:0\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", " ", "\"\<year\>\""}], ",", " ", 
   RowBox[{"propval", "\[Rule]", " ", "\"\<'2001/01/01'\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->936479508],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"UPDATE 16:0 set year='2001/01/01'\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "UPDATE 16:0 set year='2001/01/01'"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[9]:=",
 CellID->28781977],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":1}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->517849868]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Update Record",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->685635812],

Cell[TextData[StyleBox["Update a record via the PUT-Document HTTP API \
command. In this update mode the entire document is replaced. The method \
option is optional, as the default value is \"PUT\"",
 FontWeight->"Bold"]], "ExampleText",
 CellID->313241233],

Cell[TextData[{
 "First we modify the ",
 ButtonBox["Rule",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Rule"],
 " expression of the ",
 StyleBox[ButtonBox["addRecord example",
  BaseStyle->"Hyperlink",
  ButtonData->"addDOCUMENT"],
  FontWeight->"Bold"],
 " and convert it to a JSON string using built-in ",
 StyleBox["ToAssociations",
  FontWeight->"Bold"],
 " function and ",
 StyleBox[ButtonBox["DBexpressionToJSON",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/ref/DBexpressionToJSON"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 " functions of the ",
 StyleBox[ButtonBox["Utilities Package",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/guide/UtilitiesPackage"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 StyleBox[".",
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]]
}], "ExampleText",
 CellID->226867491],

Cell[BoxData[
 RowBox[{
  RowBox[{"johnJSON", "=", 
   RowBox[{
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"john", "//", "ToAssociations"}], ",", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<telephones\>\"", ",", "\"\<business\>\""}], "}"}], 
         "\[Rule]", "\"\<2108880809\>\""}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<telephones\>\"", ",", " ", "\"\<mobile\>\""}], "}"}], 
         " ", "\[Rule]", " ", "\"\<6972020202\>\""}]}], "}"}]}], "]"}], "//", 
    "DBexpressionToJSON"}]}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->394654616],

Cell[TextData[{
 "Then we pass the result as the value of ",
 StyleBox["record \[Rule]",
  Background->RGBColor[1, 0.9, 0.8]],
 " option"
}], "ExampleText",
 CellID->562161299],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updRecord\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"id", "\[Rule]", " ", "\"\<12:0\>\""}], ",", " ", 
   RowBox[{"record", "\[Rule]", " ", "johnJSON"}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->687768503],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/document/DemoDB/12:0\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"{\\n    \\\"telephones\\\": {\\n        \\\"home\
\\\": \\\"2104566345\\\",\\n        \\\"business\\\": \\\"2108880809\\\",\\n  \
      \\\"mobile\\\": \\\"6972020202\\\"\\n    },\\n    \\\"firstName\\\": \\\
\"John\\\",\\n    \\\"lastName\\\": \\\"Brown\\\",\\n    \\\"DOB\\\": \
\\\"1971-10-01\\\",\\n    \\\"age\\\": 44\\n}\"\>"}],
  SequenceForm[
  "http://localhost:2480/document/DemoDB/12:0", "\n=== Body ===\n", 
   "{\n    \"telephones\": {\n        \"home\": \"2104566345\",\n        \
\"business\": \"2108880809\",\n        \"mobile\": \"6972020202\"\n    },\n   \
 \"firstName\": \"John\",\n    \"lastName\": \"Brown\",\n    \"DOB\": \
\"1971-10-01\",\n    \"age\": 44\n}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[26]:=",
 CellID->215934525],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#12:0\\\",\\\"@\
version\\\":2,\\\"@class\\\":\\\"Person\\\",\\\"telephones\\\":{\\\"home\\\":\
\\\"2104566345\\\",\\\"business\\\":\\\"2108880809\\\",\\\"mobile\\\":\\\"\
6972020202\\\"},\\\"firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"Brown\\\",\
\\\"DOB\\\":\\\"1971-10-01\\\",\\\"age\\\":44}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{578, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->219847444]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"johnJSON", "=", 
   RowBox[{
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"john", "//", "ToAssociations"}], ",", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", "\"\<firstName\>\"", "}"}], "\[Rule]", 
         "\"\<Marie\>\""}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\"\<lastName\>\"", "}"}], " ", "\[Rule]", " ", 
         "\"\<Osborne\>\""}]}], "}"}]}], "]"}], "//", 
    "DBexpressionToJSON"}]}], ";"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->92056934],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updRecord\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"id", "\[Rule]", " ", "\"\<12:3\>\""}], ",", " ", 
   RowBox[{"record", "\[Rule]", " ", "johnJSON"}], ",", " ", 
   RowBox[{"method", "\[Rule]", "\"\<PUT\>\""}], ",", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->299785553],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/document/DemoDB/12:3\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"{\\n    \\\"telephones\\\": {\\n        \\\"home\
\\\": \\\"2104566345\\\",\\n        \\\"business\\\": \\\"2108856844\\\",\\n  \
      \\\"mobile\\\": \\\"6974059256\\\"\\n    },\\n    \\\"firstName\\\": \\\
\"Marie\\\",\\n    \\\"lastName\\\": \\\"Osborne\\\",\\n    \\\"DOB\\\": \
\\\"1971-10-01\\\",\\n    \\\"age\\\": 44\\n}\"\>"}],
  SequenceForm[
  "http://localhost:2480/document/DemoDB/12:3", "\n=== Body ===\n", 
   "{\n    \"telephones\": {\n        \"home\": \"2104566345\",\n        \
\"business\": \"2108856844\",\n        \"mobile\": \"6974059256\"\n    },\n   \
 \"firstName\": \"Marie\",\n    \"lastName\": \"Osborne\",\n    \"DOB\": \
\"1971-10-01\",\n    \"age\": 44\n}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[64]:=",
 CellID->548816734],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#12:3\\\",\\\"@\
version\\\":3,\\\"@class\\\":\\\"Person\\\",\\\"age\\\":44,\\\"telephones\\\":\
{\\\"business\\\":\\\"2108856844\\\",\\\"mobile\\\":\\\"6974059256\\\",\\\"\
home\\\":\\\"2104566345\\\"},\\\"firstName\\\":\\\"Marie\\\",\\\"lastName\\\":\
\\\"Osborne\\\",\\\"DOB\\\":\\\"1971-10-01\\\"}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{578, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->2000609]
}, Open  ]],

Cell[TextData[StyleBox["Update a record via the PATCH-Document HTTP API \
command. This will update the record Document with only the difference to \
apply. The method and ver arguments here are mandatory.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->119635270],

Cell["Build an expression with the telephones to change only", "ExampleText",
 CellID->572069266],

Cell[BoxData[
 RowBox[{
  RowBox[{"telcom", "=", 
   RowBox[{
    RowBox[{"\[LeftAssociation]", 
     RowBox[{"\"\<telephones\>\"", "\[Rule]", "\[IndentingNewLine]", 
      RowBox[{"Thread", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<home\>\"", ",", "\"\<business\>\"", ",", " ", "\"\<mobile\>\"", 
          ",", "\"\<pager\>\""}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<2104566345\>\"", ",", "\"\<2109990909\>\"", ",", 
          "\"\<6973030303\>\"", ",", "\"\<444\>\""}], "}"}]}], "]"}]}], 
     "\[RightAssociation]"}], "//", "DBexpressionToJSON"}]}], ";"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->23241247],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<updRecord\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"id", "\[Rule]", "\"\<12:3\>\""}], ",", " ", 
   RowBox[{"record", "\[Rule]", " ", "telcom"}], ",", " ", 
   RowBox[{"ver", "\[Rule]", " ", "3"}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}], ",", " ", 
   RowBox[{"method", "\[Rule]", "\"\<PATCH\>\""}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->172279099],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/document/DemoDB/12:3\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"{\\\"@class\\\":\\\"Person\\\", \
\\\"@version\\\":3, \\n    \\\"telephones\\\": {\\n        \\\"home\\\": \
\\\"2104566345\\\",\\n        \\\"business\\\": \\\"2109990909\\\",\\n        \
\\\"mobile\\\": \\\"6973030303\\\",\\n        \\\"pager\\\": \\\"444\\\"\\n   \
 }\\n}\"\>"}],
  SequenceForm[
  "http://localhost:2480/document/DemoDB/12:3", "\n=== Body ===\n", 
   "{\"@class\":\"Person\", \"@version\":3, \n    \"telephones\": {\n        \
\"home\": \"2104566345\",\n        \"business\": \"2109990909\",\n        \
\"mobile\": \"6973030303\",\n        \"pager\": \"444\"\n    }\n}"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[67]:=",
 CellID->741820139],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#12:3\\\",\\\"@\
version\\\":4,\\\"@class\\\":\\\"Person\\\",\\\"age\\\":44,\\\"telephones\\\":\
{\\\"home\\\":\\\"2104566345\\\",\\\"business\\\":\\\"2109990909\\\",\\\"\
mobile\\\":\\\"6973030303\\\",\\\"pager\\\":\\\"444\\\"},\\\"firstName\\\":\\\
\"Marie\\\",\\\"lastName\\\":\\\"Osborne\\\",\\\"DOB\\\":\\\"1971-10-01\\\"}\"\
\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{578, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->399490980]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Get Commands",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(5)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1347504],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Get Server",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->236602702],

Cell[TextData[StyleBox["Get Server Information ",
 FontWeight->"Bold"]], "ExampleText",
 CellID->34303378],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", " ", "\"\<getServer\>\""}], ",", " ", 
    RowBox[{"usr", "\[Rule]", "\"\<root\>\""}], ",", " ", 
    RowBox[{"pwd", "\[Rule]", "\"\<123\>\""}], ",", 
    RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}], "//", 
  "ODBgetDataset"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->264293119],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/server\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["http://localhost:2480/server", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[9]:=",
 CellID->588739666],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"connections\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"connectionId\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"103\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"remoteAddress\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"/0:0:0:0:0:0:0:1:50188\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"db\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"DemoDB\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "13"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "1"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"dbs\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"storages\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"GratefulDeadConcerts\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"OLocalPaginatedStorage\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"path\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"C:/orientdb219/databases/GratefulDeadConcerts\"", FontColor -> 
                GrayLevel[0.4]]}], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"DemoDB\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"OLocalPaginatedStorage\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"path\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"C:/orientdb219/databases/DemoDB\"", FontColor -> 
                GrayLevel[0.4]]}], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], 
          "\[ThinSpace]", "}"}], LineBreakWithin -> Automatic]}, {
       StyleBox["\"properties\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"db.pool.min\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"value\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"1\"", FontColor -> GrayLevel[0.4]]}], 
             "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"db.pool.max\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"value\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"50\"", FontColor -> GrayLevel[0.4]]}], 
             "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"profiler.enabled\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"value\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"true\"", FontColor -> GrayLevel[0.4]]}], 
             "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "2"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"globalProperties\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"key\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"environment.dumpCfgAtStartup\"", FontColor -> 
                GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"description\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox[
               "\"Dumps the configuration at application startup\"", 
                FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"value\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], "\[ThinSpace]\[Ellipsis]"}], ",", 
             RowBox[{
               StyleBox["\"defaultValue\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], "\[ThinSpace]\[Ellipsis]"}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "1"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "164"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       ItemBox[
        RowBox[{"3 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"5", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> 1.2, 
     GridBoxBackground -> {"Columns" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],
    "Dataset[<|\"connections\" -> _, \"dbs\" -> _, \"storages\" -> _, \
\"properties\" -> _, \"globalProperties\" -> _|>]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{1435, 140},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->389347454]
}, Open  ]],

Cell[TextData[{
 "The postfix operation of ",
 StyleBox[ButtonBox["ODBgetDataset",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/ref/ODBgetDataset"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 " transforms JSON Output above into a Wolfram ",
 ButtonBox["Dataset.",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 " Further processing can be applied on the resulting",
 StyleBox[" ",
  FontWeight->"Bold"],
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 StyleBox[".",
  FontWeight->"Bold"]
}], "ExampleText",
 CellID->258959764],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "[", 
  RowBox[{"\"\<connections\>\"", ",", "All", ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<connectionId\>\"", ",", "\"\<remoteAddress\>\"", ",", "\"\<db\>\"", 
     ",", "\"\<user\>\""}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1938064],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"connectionId\"", 
        GrayLevel[0.3]], 
       StyleBox["\"remoteAddress\"", 
        GrayLevel[0.3]], 
       StyleBox["\"db\"", 
        GrayLevel[0.3]], 
       StyleBox["\"user\"", 
        GrayLevel[0.3]]}, {
       StyleBox["\"65\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox["\"/127.0.0.1:49386\"", 
         GrayLevel[0.45]], "/127.0.0.1:49386"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"]}, {
       StyleBox["\"39\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox["\"/127.0.0.1:49357\"", 
         GrayLevel[0.45]], "/127.0.0.1:49357"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"]}, {
       StyleBox["\"40\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox["\"/127.0.0.1:49357\"", 
         GrayLevel[0.45]], "/127.0.0.1:49357"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"]}, {
       StyleBox["\"41\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox["\"/127.0.0.1:49357\"", 
         GrayLevel[0.45]], "/127.0.0.1:49357"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"], 
       InterpretationBox[
        StyleBox["\"-\"", 
         GrayLevel[0.45]], "-"]}, {
       StyleBox["\"29\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox["\"/0:0:0:0:0:0:0:1:49343\"", 
         GrayLevel[0.45]], "/0:0:0:0:0:0:0:1:49343"], 
       InterpretationBox[
        StyleBox["\"DemoDB\"", 
         GrayLevel[0.45]], "DemoDB"], 
       InterpretationBox[
        StyleBox["\"admin\"", 
         GrayLevel[0.45]], "admin"]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"5", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]", 
       "\[SpanFromLeft]", "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{370, 169},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->499949870]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Get Database",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->31465665],

Cell[TextData[StyleBox["Get Database Information",
 FontWeight->"Bold"]], "ExampleText",
 CellID->55725431],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dbInfo", "=", 
  RowBox[{
   RowBox[{"ODBapi", "[", 
    RowBox[{
     RowBox[{"com", "\[Rule]", "\"\<getDatabases\>\""}], ",", " ", 
     RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
     RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}], "//", 
   "ODBgetDataset"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->695998994],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/database/DemoDB\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/database/DemoDB", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[11]:=",
 CellID->109731945],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"server\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{
          StyleBox["\[LeftAssociation]", 
           GrayLevel[0.45]], "\[ThinSpace]", 
          RowBox[{
            StyleBox["\"version\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"2.1.9-SNAPSHOT\"", FontColor -> GrayLevel[0.4]]}], 
          ",", 
          RowBox[{
            StyleBox["\"build\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox[
            "\"2.1.x@r${buildNumber}; 2016-01-07 10:51:24+0000\"", FontColor -> 
             GrayLevel[0.4]]}], ",", 
          RowBox[{
            StyleBox["\"osName\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"Windows 10\"", FontColor -> GrayLevel[0.4]]}], ",", 
          RowBox[{
            StyleBox["\"osVersion\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"10.0\"", FontColor -> GrayLevel[0.4]]}], ",", 
          RowBox[{
            StyleBox["\"osArch\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"amd64\"", FontColor -> GrayLevel[0.4]]}], ",", 
          RowBox[{
            StyleBox["\"javaVendor\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox["\"Oracle Corporation\"", FontColor -> GrayLevel[0.4]]}],
           ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "1"], 
           GrayLevel[0.5]], "\[ThinSpace]", 
          StyleBox["\[RightAssociation]", 
           GrayLevel[0.45]]}], LineBreakWithin -> Automatic]}, {
       StyleBox["\"classes\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"Car\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"superClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"V\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"superClasses\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], "\[ThinSpace]\[Ellipsis]"}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "7"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "15"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"clusters\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"id\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 0}], ",", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"internal\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"records\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 3}], ",", 
             RowBox[{
               StyleBox["\"conflictStrategy\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], "\[ThinSpace]\[Ellipsis]"}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "4"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "16"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"currentUser\"", 
        GrayLevel[0.3]], 
       StyleBox["\"admin\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"indexes\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"OUser.name\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"configuration\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], "\[ThinSpace]\[Ellipsis]"}], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "2"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"config\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{
          StyleBox["\[LeftAssociation]", 
           GrayLevel[0.45]], "\[ThinSpace]", 
          RowBox[{
            StyleBox["\"values\"", 
             GrayLevel[0.3]], 
            StyleBox["\[Rule]", 
             GrayLevel[0.5]], 
            StyleBox[
             RowBox[{"{", "\[ThinSpace]", 
               StyleBox[
                RowBox[{
                  StyleBox["\[LeftAssociation]", 
                   GrayLevel[0.45]], "\[ThinSpace]", 
                  RowBox[{
                    StyleBox["\"name\"", 
                    GrayLevel[0.3]], 
                    StyleBox["\[Rule]", 
                    GrayLevel[0.5]], 
                    StyleBox["\"dateFormat\"", FontColor -> GrayLevel[0.4]]}],
                   ",", 
                  RowBox[{
                    StyleBox["\"value\"", 
                    GrayLevel[0.3]], 
                    StyleBox["\[Rule]", 
                    GrayLevel[0.5]], "\[ThinSpace]\[Ellipsis]"}], 
                  "\[ThinSpace]", 
                  StyleBox["\[RightAssociation]", 
                   GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
               StyleBox[
                RowBox[{
                  StyleBox["\[LeftAssociation]", 
                   GrayLevel[0.45]], "\[ThinSpace]", 
                  RowBox[{
                    StyleBox["\"name\"", 
                    GrayLevel[0.3]], 
                    StyleBox["\[Rule]", 
                    GrayLevel[0.5]], 
                    StyleBox[
                    "\"dateTimeFormat\"", FontColor -> GrayLevel[0.4]]}], ",", 
                  RowBox[{
                    StyleBox["\"value\"", 
                    GrayLevel[0.3]], 
                    StyleBox["\[Rule]", 
                    GrayLevel[0.5]], "\[ThinSpace]\[Ellipsis]"}], 
                  "\[ThinSpace]", 
                  StyleBox["\[RightAssociation]", 
                   GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
               StyleBox[
                SubscriptBox["\[CenterEllipsis]", "8"], 
                GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
             Automatic]}], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "1"], 
           GrayLevel[0.5]], "\[ThinSpace]", 
          StyleBox["\[RightAssociation]", 
           GrayLevel[0.45]]}], LineBreakWithin -> Automatic]}, {
       ItemBox[
        RowBox[{"6 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"6", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> 1.2, 
     GridBoxBackground -> {"Columns" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],
    "Dataset[<|\"server\" -> _, \"classes\" -> _, \"clusters\" -> _, \
\"currentUser\" -> _, \"indexes\" -> _, \"config\" -> _|>]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{1196, 158},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->210939498]
}, Open  ]],

Cell[TextData[{
 "The postfix operation of ",
 StyleBox[ButtonBox["ODBgetDataset",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/ref/ODBgetDataset"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 " transforms JSON Output above into a Wolfram ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 " Further processing can be applied on the resulting ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 "."
}], "ExampleText",
 CellID->765206859],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dbInfo", "[", 
  RowBox[{"\"\<classes\>\"", ",", "All", ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<name\>\"", ",", " ", "\"\<superClass\>\"", ",", " ", 
     "\"\<records\>\"", ",", "\"\<properties\>\""}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->733861099],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"name\"", 
        GrayLevel[0.3]], 
       StyleBox["\"superClass\"", 
        GrayLevel[0.3]], 
       StyleBox["\"records\"", 
        GrayLevel[0.3]], 
       StyleBox["\"properties\"", 
        GrayLevel[0.3]]}, {
       StyleBox["\"Car\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"V\"", FontColor -> GrayLevel[0.4]], 1, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"Company\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 0, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"E\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 0, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"Employee\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Person\"", FontColor -> GrayLevel[0.4]], 0, 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"personGender\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox[
                StyleBox[
                "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, 
                 FontWeight -> Bold, 
                 GrayLevel[0.7]], 
                Missing["KeyAbsent", "linkedClass"]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"STRING\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "6"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "1"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"Flower\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"V\"", FontColor -> GrayLevel[0.4]], 3, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"OFunction\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 0, 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"idempotent\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox[
                StyleBox[
                "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, 
                 FontWeight -> Bold, 
                 GrayLevel[0.7]], 
                Missing["KeyAbsent", "linkedClass"]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"BOOLEAN\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "6"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "4"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"OIdentity\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 6, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"ORIDs\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 0, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"ORestricted\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 0, 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"_allowUpdate\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"OIdentity\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"LINKSET\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "7"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "3"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"ORole\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"OIdentity\"", FontColor -> GrayLevel[0.4]], 3, 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"mode\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox[
                StyleBox[
                "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, 
                 FontWeight -> Bold, 
                 GrayLevel[0.7]], 
                Missing["KeyAbsent", "linkedClass"]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"BYTE\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "6"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "3"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"OSchedule\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 0, 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"function\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"OFunction\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"LINK\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "7"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "6"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"OTriggered\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 0, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"OUser\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"OIdentity\"", FontColor -> GrayLevel[0.4]], 3, 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"password\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox[
                StyleBox[
                "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, 
                 FontWeight -> Bold, 
                 GrayLevel[0.7]], 
                Missing["KeyAbsent", "linkedClass"]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"STRING\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "6"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "3"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"Person\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 4, 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"personGender\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox[
                StyleBox[
                "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, 
                 FontWeight -> Bold, 
                 GrayLevel[0.7]], 
                Missing["KeyAbsent", "linkedClass"]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"STRING\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "6"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "1"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"V\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 4, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       StyleBox["\"_studio\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]], 1, 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "properties"]]}, {
       ItemBox[
        RowBox[{"4 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"16", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]", 
       "\[SpanFromLeft]", "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{724, 401},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->362188288]
}, Open  ]],

Cell[TextData[StyleBox["Get Databases - A list of the databases on the server",
 FontWeight->"Bold"]], "ExampleText",
 CellID->273315728],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<getDatabases\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->34913317],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/listDatabases\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["http://localhost:2480/listDatabases", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[13]:=",
 CellID->952348698],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\"databases\\\":[\
\\\"GratefulDeadConcerts\\\",\\\"DemoDB\\\"],\\\"@fieldTypes\\\":\\\"\
databases=e\\\"}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{529, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->428550795]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Get Class",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->48995154],

Cell[TextData[StyleBox["Get Class Information from the server",
 FontWeight->"Bold"]], "ExampleText",
 CellTags->"getClass",
 CellID->72000305],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"classInfo", "=", 
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", " ", "\"\<getClass\>\""}], ",", " ", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
    RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
    RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->113697542],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/class/DemoDB/Person\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/class/DemoDB/Person", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[35]:=",
 CellID->278231359],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"name\\\":\\\"Person\\\",\\\"superClass\\\":\\\"V\\\",\\\"\
superClasses\\\":[\\\"V\\\"],\\\"alias\\\":\\\"P\\\",\\\"abstract\\\":false,\\\
\"strictmode\\\":false,\\\"clusters\\\":[12],\\\"defaultCluster\\\":12,\\\"\
clusterSelection\\\":\\\"round-robin\\\",\\\"records\\\":4,\\\"properties\\\":\
[{\\\"name\\\":\\\"personGender\\\",\\\"type\\\":\\\"STRING\\\",\\\"mandatory\
\\\":false,\\\"readonly\\\":false,\\\"notNull\\\":false,\\\"min\\\":null,\\\"\
max\\\":null,\\\"regexp\\\":null,\\\"collate\\\":\\\"default\\\"},{\\\"name\\\
\":\\\"personName\\\",\\\"type\\\":\\\"STRING\\\",\\\"mandatory\\\":false,\\\"\
readonly\\\":false,\\\"notNull\\\":false,\\\"min\\\":null,\\\"max\\\":null,\\\
\"regexp\\\":null,\\\"collate\\\":\\\"default\\\"}]}\"\>", ",", "200"}], 
  "}"}]], "Output",
 ImageSize->{561, 118},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->61285]
}, Open  ]],

Cell[TextData[{
 "The postfix operation of ",
 StyleBox[ButtonBox["ODBgetDataset",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/ref/ODBgetDataset"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 " transforms JSON Output above into a Wolfram ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 " Further processing can be applied on the resulting ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 "."
}], "ExampleText",
 CellID->282846910],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"classInfoDS", "=", 
  RowBox[{"classInfo", "//", "ODBgetDataset"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->27991777],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"name\"", 
        GrayLevel[0.3]], 
       StyleBox["\"Person\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"superClass\"", 
        GrayLevel[0.3]], 
       StyleBox["\"V\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"superClasses\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox["\"V\"", FontColor -> GrayLevel[0.4]], "\[ThinSpace]", 
          "}"}], LineBreakWithin -> Automatic]}, {
       StyleBox["\"alias\"", 
        GrayLevel[0.3]], 
       StyleBox["\"P\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"abstract\"", 
        GrayLevel[0.3]], 
       InterpretationBox["False", False]}, {
       StyleBox["\"strictmode\"", 
        GrayLevel[0.3]], 
       InterpretationBox["False", False]}, {
       StyleBox["\"clusters\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 12, "\[ThinSpace]", "}"}], 
        LineBreakWithin -> Automatic]}, {
       StyleBox["\"defaultCluster\"", 
        GrayLevel[0.3]], 12}, {
       StyleBox["\"clusterSelection\"", 
        GrayLevel[0.3]], 
       StyleBox["\"round-robin\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"records\"", 
        GrayLevel[0.3]], 4}, {
       StyleBox["\"properties\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"personGender\"", FontColor -> GrayLevel[0.4]]}], 
             ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"STRING\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"mandatory\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox["False", False]}], ",", 
             RowBox[{
               StyleBox["\"readonly\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox["False", False]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "5"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "1"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       ItemBox[
        RowBox[{"3 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"11", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> 1.2, 
     GridBoxBackground -> {"Columns" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],
    "Dataset[<|\"name\" -> _, \"superClass\" -> _, \"superClasses\" -> _, \
\"alias\" -> _, \"abstract\" -> _, \"strictmode\" -> _, \"clusters\" -> _, \
\"defaultCluster\" -> _, \"clusterSelection\" -> _, \"records\" -> _, \
\"properties\" -> _|>]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{659, 268},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->490413785]
}, Open  ]],

Cell[TextData[{
 "With the package function ",
 StyleBox[ButtonBox["ODBgetFieldAttributes",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/ref/ODBgetFieldAttributes"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 " we can view specific attributes for all properties (fields) of the Car \
class"
}], "ExampleText",
 CellID->145027620],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBgetFieldAttributes", "[", 
  RowBox[{"classInfoDS", ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<name\>\"", ",", "\"\<type\>\"", ",", "\"\<mandatory\>\"", ",", 
     "\"\<notNull\>\""}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->36192946],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"name\"", 
        GrayLevel[0.3]], 
       StyleBox["\"type\"", 
        GrayLevel[0.3]], 
       StyleBox["\"mandatory\"", 
        GrayLevel[0.3]], 
       StyleBox["\"notNull\"", 
        GrayLevel[0.3]]}, {
       StyleBox["\"personGender\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"STRING\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox["False", False], 
       InterpretationBox["False", False]}, {
       StyleBox["\"personName\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"STRING\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox["False", False], 
       InterpretationBox["False", False]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"2", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]", 
       "\[SpanFromLeft]", "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{317, 93},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->27917765]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Get Record",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->109037700],

Cell[TextData[StyleBox["Get a single Record - Returns a JSON structured \
document with data and metadata fields that represents an OrientDB record. \
The id parameter is mandatory in that case.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->161172005],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", " ", "\"\<getRecords\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"id", "\[Rule]", " ", "\"\<16:0\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->44694905],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/document/DemoDB/16:0\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/document/DemoDB/16:0", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[43]:=",
 CellID->645306659],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#16:0\\\",\\\"@\
version\\\":7,\\\"@class\\\":\\\"Car\\\",\\\"in_isOwnerOf\\\":[\\\"#12:0\\\",\
\\\"#12:3\\\",\\\"#17:0\\\"],\\\"brand\\\":\\\"FIAT\\\",\\\"model\\\":\\\"\
bravo\\\",\\\"year\\\":\\\"2001/01/01\\\",\\\"cc\\\":1200,\\\"@fieldTypes\\\":\
\\\"in_isOwnerOf=g\\\"}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{578, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->117554265]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "ODBgetDataset"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->65905183],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"@type\"", 
        GrayLevel[0.3]], 
       StyleBox["\"d\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"@rid\"", 
        GrayLevel[0.3]], 
       StyleBox["\"#16:0\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"@version\"", 
        GrayLevel[0.3]], 7}, {
       StyleBox["\"@class\"", 
        GrayLevel[0.3]], 
       StyleBox["\"Car\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"in_isOwnerOf\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox["\"#12:0\"", FontColor -> GrayLevel[0.4]], ",", 
          StyleBox["\"#12:3\"", FontColor -> GrayLevel[0.4]], ",", 
          StyleBox["\"#17:0\"", FontColor -> GrayLevel[0.4]], "\[ThinSpace]", 
          "}"}], LineBreakWithin -> Automatic]}, {
       StyleBox["\"brand\"", 
        GrayLevel[0.3]], 
       StyleBox["\"FIAT\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"model\"", 
        GrayLevel[0.3]], 
       StyleBox["\"bravo\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"year\"", 
        GrayLevel[0.3]], 
       StyleBox["\"2001/01/01\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"cc\"", 
        GrayLevel[0.3]], 1200}, {
       StyleBox["\"@fieldTypes\"", 
        GrayLevel[0.3]], 
       StyleBox["\"in_isOwnerOf=g\"", FontColor -> GrayLevel[0.4]]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"10", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> 1.2, 
     GridBoxBackground -> {"Columns" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],
    "Dataset[<|\"@type\" -> _, \"@rid\" -> _, \"@version\" -> _, \"@class\" \
-> _, \"in_isOwnerOf\" -> _, \"brand\" -> _, \"model\" -> _, \"year\" -> _, \
\"cc\" -> _, \"@fieldTypes\" -> _|>]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{248, 248},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->211559031]
}, Open  ]],

Cell[TextData[StyleBox["Get data from multiple records, the projection \
argument (prjkt), and the propnam, propval arguments that specify a condition \
can be omitted.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->7815243],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<getRecords\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", 
   RowBox[{"prjkt", "\[Rule]", "\"\<@rid, firstName, lastName, DOB\>\""}], 
   ",", " ", 
   RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", "\"\<lastName\>\""}], ",", " ", 
   RowBox[{"propval", "\[Rule]", "\"\<Brown\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->451746277],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"select @rid, firstName, lastName, DOB from \
Person WHERE lastName=\\\"Brown\\\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "select @rid, firstName, lastName, DOB from Person WHERE \
lastName=\"Brown\""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[9]:=",
 CellID->244984129],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#-2:\
0\\\",\\\"@version\\\":0,\\\"rid\\\":\\\"#12:0\\\",\\\"firstName\\\":\\\"John\
\\\",\\\"lastName\\\":\\\"Brown\\\",\\\"DOB\\\":\\\"1971-10-01\\\",\\\"@\
fieldTypes\\\":\\\"rid=x\\\"}, \
{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#-2:1\\\",\\\"@version\\\":0,\\\"\
rid\\\":\\\"#12:2\\\",\\\"firstName\\\":\\\"John\\\",\\\"lastName\\\":\\\"\
Brown\\\",\\\"DOB\\\":\\\"1971-10-01\\\",\\\"@fieldTypes\\\":\\\"rid=x\\\"}]}\
\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{564, 67},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->689747731]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"ODBgetDataset", "@", "%"}], ")"}], "[", 
  RowBox[{"All", ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<rid\>\"", ",", "\"\<firstName\>\"", ",", "\"\<lastName\>\"", ",", 
     "\"\<DOB\>\""}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->115268336],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"rid\"", 
        GrayLevel[0.3]], 
       StyleBox["\"firstName\"", 
        GrayLevel[0.3]], 
       StyleBox["\"lastName\"", 
        GrayLevel[0.3]], 
       StyleBox["\"DOB\"", 
        GrayLevel[0.3]]}, {
       StyleBox["\"#12:0\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"John\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Brown\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"1971-10-01\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"#12:2\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"John\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Brown\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"1971-10-01\"", FontColor -> GrayLevel[0.4]]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"2", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]", 
       "\[SpanFromLeft]", "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{305, 93},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->80228517]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"ODBapi", "[", 
     RowBox[{
      RowBox[{"com", "\[Rule]", "\"\<getRecords\>\""}], ",", 
      RowBox[{"prjkt", "\[Rule]", "\"\<@rid\>\""}], ",", 
      RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
      RowBox[{"class", "\[Rule]", "\"\<Person\>\""}], ",", 
      RowBox[{"debug", "\[Rule]", "True"}]}], "]"}], "//", "ODBgetDataset"}], 
   ")"}], "[", 
  RowBox[{"All", ",", 
   RowBox[{"{", "\"\<rid\>\"", "}"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->60796655],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"select @rid from Person\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "select @rid from Person"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[16]:=",
 CellID->44601717],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"rid\"", 
        GrayLevel[0.3]]}, {
       StyleBox["\"#12:0\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"#12:1\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"#12:2\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"#12:3\"", FontColor -> GrayLevel[0.4]]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"4", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]]}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{109, 140},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->118738126]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Get OSQL",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->357444667],

Cell[TextData[StyleBox["Executes an OrientDB SQL query against the database. \
The SQL command is read-only. It is executed via the GET method of HTTP and \
therefore it cannot change the database. ",
 FontWeight->"Bold"]], "ExampleText",
 CellID->187227985],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<getOSQL\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{
   "sql", "\[Rule]", " ", 
    "\"\<select from Flower where kingdom='Plantae'\>\""}], ",", 
   RowBox[{"debug", "->", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->197486948],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"select from Flower where kingdom='Plantae'\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "select from Flower where kingdom='Plantae'"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[18]:=",
 CellID->510616548],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:\
0\\\",\\\"@version\\\":1,\\\"@class\\\":\\\"Flower\\\",\\\"kingdom\\\":\\\"\
Plantae\\\",\\\"genus\\\":\\\"Mentha\\\"}, \
{\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:1\\\",\\\"@version\\\":1,\\\"@\
class\\\":\\\"Flower\\\",\\\"kingdom\\\":\\\"Plantae\\\",\\\"genus\\\":\\\"\
Citrus\\\"}, {\\\"@type\\\":\\\"d\\\",\\\"@rid\\\":\\\"#15:2\\\",\\\"@version\
\\\":1,\\\"@class\\\":\\\"Flower\\\",\\\"kingdom\\\":\\\"Plantae\\\",\\\"\
genus\\\":\\\"Fragaria\\\"}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{579, 101},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->47932984]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Del Commands",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(5)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->870169581],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Del Database",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->630707372],

Cell[TextData[StyleBox["Delete a Database with basic authentication to the \
server",
 FontWeight->"Bold"]], "ExampleText",
 CellID->249686915],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<delDatabase\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<TestDB\>\""}], ",", " ", 
   RowBox[{"usr", "\[Rule]", "\"\<root\>\""}], ",", " ", 
   RowBox[{"pwd", "\[Rule]", " ", "\"\<123\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->681988968],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/database/TestDB\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/database/TestDB", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[77]:=",
 CellID->129745950],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->125185783]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Del Class",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->533642582],

Cell[TextData[StyleBox["Delete a Class, i.e. remove completely the class from \
the schema. If the class extends vertex (V) then all the vertices have to be \
deleted first. Command delClass is based on SQL DROP CLASS operation.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->316028126],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "->", "\"\<delClass\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", "\"\<Company\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->207215180],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"DROP CLASS Company\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "DROP CLASS Company"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[19]:=",
 CellID->119163834],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":true}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{414, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->48188995]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Del Property",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->608456401],

Cell[TextData[StyleBox["Delete a property via SQL - DROP PROPERTY\
\[LineSeparator]Be aware that although the property is removed from the \
schema, it still remains as a key in records that have been created with that \
property.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->30703752],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<delProperty\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", " ", "\"\<personGender\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->703392179],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"DROP PROPERTY Person.personGender\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "DROP PROPERTY Person.personGender"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[20]:=",
 CellID->424004464],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->422937805]
}, Open  ]],

Cell[TextData[StyleBox["Delete values - This command removes a field from all \
records by executing SQL UPDATE",
 FontWeight->"Bold"]], "ExampleText",
 CellID->268371351],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", " ", "\"\<delValues\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"propnam", "\[Rule]", " ", "\"\<telephones\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->64973610],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"UPDATE Person remove telephones\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "UPDATE Person remove telephones"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[21]:=",
 CellID->718755871],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":4}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->562421807]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Del Records",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->182127033],

Cell[TextData[StyleBox["Delete all records from a DOCUMENT CLASS (based on \
SQL TRUNCATE) or VERTEX CLASS (based on SQL DELETE VERTEX). The class, all \
and construct parameters are mandatory in that case.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->39048696],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", " ", "\"\<delRecords\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
   RowBox[{"all", "\[Rule]", "True"}], ",", " ", 
   RowBox[{"construct", "\[Rule]", "\"\<VERTEX\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->41635915],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"DELETE VERTEX Person\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "DELETE VERTEX Person"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[22]:=",
 CellID->661213009],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":4}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->183842285]
}, Open  ]],

Cell[TextData[StyleBox["Delete Records command can also be used to erase \
specific records with RIDs. It is based on SQL TRUNCATE RECORD by listing the \
record IDs.",
 FontWeight->"Bold"]], "ExampleText",
 CellID->741938735],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<delRecords\>\""}], ",", 
   RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
   RowBox[{"id", "\[Rule]", "\"\<[16:1, 16:3]\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->703250838],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/command/DemoDB/sql\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"TRUNCATE RECORD [16:1, 16:3]\"\>"}],
  SequenceForm[
  "http://localhost:2480/command/DemoDB/sql", "\n=== Body ===\n", 
   "TRUNCATE RECORD [16:1, 16:3]"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[23]:=",
 CellID->515082796],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"result\\\":[{\\\"@type\\\":\\\"d\\\",\\\"@version\\\":0,\\\
\"value\\\":2}]}\"\>", ",", "200"}], "}"}]], "Output",
 ImageSize->{393, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->136133794]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Del Connection",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->52354575],

Cell[TextData[StyleBox["Delete Server Connection - It requires a connection \
id and root password to kill the connection",
 FontWeight->"Bold"]], "ExampleText",
 CellID->59674047],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", " ", "\"\<delConnection\>\""}], ",", " ", 
   RowBox[{"con", "\[Rule]", " ", "\"\<49\>\""}], ",", " ", 
   RowBox[{"usr", "\[Rule]", " ", "\"\<root\>\""}], ",", " ", 
   RowBox[{"pwd", "\[Rule]", " ", "\"\<123\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->53260414],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/connection/kill/49\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/connection/kill/49", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[94]:=",
 CellID->105760405],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->481624593]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Import/Export",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->138390976],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Import",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->825739110],

Cell[TextData[StyleBox["Imports a database from an uploaded JSON text file",
 FontWeight->"Bold"]], "ExampleText",
 CellID->564653690],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", "\"\<impDatabase\>\""}], ",", " ", 
    RowBox[{"db", "\[Rule]", "\"\<FilmDB\>\""}], ",", " ", 
    RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->587305041],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/import/FilmDB\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["http://localhost:2480/import/FilmDB", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[24]:=",
 CellID->288404789]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Export",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->307145003],

Cell[TextData[StyleBox["Exports a gzip file that contains the database JSON \
export via GET-Export",
 FontWeight->"Bold"]], "ExampleText",
 CellID->45063583],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", "\"\<expDatabase\>\""}], ",", " ", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
    RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->188393926],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/export/DemoDB\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["http://localhost:2480/export/DemoDB", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[26]:=",
 CellID->87610083]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Login/Logout",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->498015232],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Login",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->536203735],

Cell[TextData[StyleBox["Connect to a remote server using basic authentication \
via GET-Connect HTTP method",
 FontWeight->"Bold"]], "ExampleText",
 CellID->199784609],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "\[Rule]", "\"\<login\>\""}], ",", " ", 
   RowBox[{"db", "\[Rule]", " ", "\"\<GratefulDeadConcerts\>\""}], ",", " ", 
   RowBox[{"usr", "\[Rule]", " ", "\"\<admin\>\""}], ",", " ", 
   RowBox[{"pwd", "->", "\"\<admin\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->438638312],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/connect/GratefulDeadConcerts\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/connect/GratefulDeadConcerts", "\n=== Body ===\n", 
   ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[24]:=",
 CellID->231255277],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\"\>", ",", "204"}], "}"}]], "Output",
 ImageSize->{50, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->397537061]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Logout",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->691666921],

Cell[TextData[StyleBox["Disconnect from server via GET-Disconnect HTTP method",
 FontWeight->"Bold"]], "ExampleText",
 CellID->681742525],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBapi", "[", 
  RowBox[{
   RowBox[{"com", "->", "\"\<logout\>\""}], ",", " ", 
   RowBox[{"debug", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->100166063],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/disconnect\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["http://localhost:2480/disconnect", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[44]:=",
 CellID->205967501],

Cell[BoxData["$Failed"], "Output",
 ImageSize->{53, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->426747511]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 WholeCellGroupOpener->True],

Cell[TextData[ButtonBox["OrientDB Package",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/guide/ODBapiPackage"]], "MoreAbout",
 CellID->514437]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["RELATED LINKS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535],

Cell[TextData[Cell[BoxData[
 RowBox[{
  ButtonBox["ODBgetDataset",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/ODBgetDataset"], " ", ".", " ", 
  ButtonBox["ODBgetFieldAttributes",
   BaseStyle->"Link",
   ButtonData->
    "paclet:DBAPI/ref/ODBgetFieldAttributes"]}]], "InlineFormula"]], \
"RelatedLinks",
 CellID->1038487239]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ODBapi - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:DBAPI/guide/DBAPI", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2016, 2, 9, 20, 42, 23.6430590}", 
    "history" -> {"0.0", "", "", ""}, "context" -> "DBAPI`", "keywords" -> {},
     "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> 
    True, "label" -> "D B A P I Symbol", "language" -> "en", "paclet" -> 
    "DBAPI", "status" -> "None", "summary" -> 
    "ODBapi[com -> \"add<Command>\", options] Uses the POST method of the \
HTTP protocol for both reading and writing the databaseODBapi[com -> \
\"del<Command>\", options ] Uses either the POST or the DELETE method of the \
HTTP protocol to destructively alter the databaseODBapi[com -> \"upd<Command>\
\", options] Uses either the POST HTTP method to update record values with \
SQL UPDATE command or the PUT and PATCH methods of the HTTP protocol to \
update OrientDB structured Document recordsODBapi[com -> \"get<Command>\", \
options ] Uses the GET method of the HTTP protocol to retrieve values from \
the database. Operations are idempotent, i.e. they do not alter the \
databaseODBapi[com -> \"impDatabase/expDatabase\", options ] Export a gzip \
file that contains the database JSON export using the GET method. Import a \
database from an uploaded JSON text file.ODBapi[com -> \"login/logout\", \
options ] Uses the GET method of the HTTP protocol to connect to a remote \
server using basic authentication and the same method for disconnecting", 
    "synonyms" -> {}, "title" -> "ODBapi", "titlemodifier" -> "", 
    "windowtitle" -> "ODBapi", "type" -> "Symbol", "uri" -> 
    "DBAPI/ref/ODBapi"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (December 10, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> 
  "10.3 for Microsoft Windows (64-bit) (December 10, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "odbapi"->{
  Cell[2881, 76, 70, 2, 70, "ObjectName",
   CellTags->"odbapi",
   CellID->1224892054]},
 "EnumeratedOptions"->{
  Cell[16289, 564, 290, 7, 70, "ExampleSection",
   CellTags->"EnumeratedOptions",
   CellID->239827978],
  Cell[21422, 727, 293, 7, 70, "ExampleSection",
   CellTags->"EnumeratedOptions",
   CellID->45748516],
  Cell[22151, 756, 294, 7, 70, "ExampleSection",
   CellTags->"EnumeratedOptions",
   CellID->448765882]},
 "PrimaryExamplesSection"->{
  Cell[24827, 828, 490, 14, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->388420081]},
 "InsertValues"->{
  Cell[52363, 1677, 192, 4, 70, "ExampleText",
   CellTags->"InsertValues",
   CellID->104620295]},
 "getClass"->{
  Cell[151112, 4433, 143, 3, 70, "ExampleText",
   CellTags->"getClass",
   CellID->72000305]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"odbapi", 199462, 5832},
 {"EnumeratedOptions", 199576, 5836},
 {"PrimaryExamplesSection", 199923, 5846},
 {"InsertValues", 200063, 5850},
 {"getClass", 200178, 5854}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[600, 21, 2278, 53, 70, "AnchorBarGrid",
 CellID->1],
Cell[2881, 76, 70, 2, 70, "ObjectName",
 CellTags->"odbapi",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[2976, 82, 3049, 82, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[6050, 168, 608, 18, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->14934646],
Cell[6661, 188, 98, 2, 70, "Notes",
 CellID->1067943069],
Cell[CellGroupData[{
Cell[6784, 194, 255, 6, 70, "ExampleSection",
 CellID->37887738],
Cell[7042, 202, 209, 5, 70, "Notes",
 CellID->22629621],
Cell[7254, 209, 207, 7, 70, "Notes",
 CellID->172327304],
Cell[7464, 218, 254, 8, 70, "Notes",
 CellID->238941620],
Cell[7721, 228, 250, 10, 70, "Notes",
 CellID->414856652],
Cell[7974, 240, 192, 7, 70, "Notes",
 CellID->50003116],
Cell[8169, 249, 317, 10, 70, "Notes",
 CellID->52482609],
Cell[8489, 261, 306, 10, 70, "Notes",
 CellID->433377957],
Cell[8798, 273, 163, 5, 70, "Notes",
 CellID->66505450],
Cell[8964, 280, 475, 15, 70, "Notes",
 CellID->145426120],
Cell[9442, 297, 488, 18, 70, "Notes",
 CellID->572142819],
Cell[9933, 317, 277, 9, 70, "Notes",
 CellID->327772531]
}, Open  ]],
Cell[CellGroupData[{
Cell[10247, 331, 385, 10, 70, "ExampleSection",
 CellID->470092490],
Cell[10635, 343, 300, 8, 70, "Notes",
 CellID->114907712],
Cell[10938, 353, 184, 5, 70, "Notes",
 CellID->241020182],
Cell[11125, 360, 252, 6, 70, "Notes",
 CellID->310641717],
Cell[11380, 368, 364, 8, 70, "Notes",
 CellID->334191424],
Cell[11747, 378, 275, 11, 70, "Notes",
 CellID->297610381],
Cell[12025, 391, 876, 35, 70, "Notes",
 CellID->470613833],
Cell[12904, 428, 308, 12, 70, "Notes",
 CellID->125518819],
Cell[13215, 442, 472, 17, 70, "Notes",
 CellID->615183522],
Cell[13690, 461, 331, 12, 70, "Notes",
 CellID->968484546],
Cell[14024, 475, 248, 9, 70, "Notes",
 CellID->180082668],
Cell[14275, 486, 402, 14, 70, "Notes",
 CellID->329339902],
Cell[14680, 502, 279, 10, 70, "Notes",
 CellID->164986832],
Cell[14962, 514, 435, 17, 70, "Notes",
 CellID->129453999],
Cell[15400, 533, 159, 3, 70, "Notes",
 CellID->375672473],
Cell[15562, 538, 136, 2, 70, "Notes",
 CellID->101105845],
Cell[15701, 542, 162, 3, 70, "Notes",
 CellID->118323932],
Cell[15866, 547, 123, 2, 70, "Notes",
 CellID->104060459],
Cell[15992, 551, 260, 8, 70, "Notes",
 CellID->469643702]
}, Open  ]],
Cell[CellGroupData[{
Cell[16289, 564, 290, 7, 70, "ExampleSection",
 CellTags->"EnumeratedOptions",
 CellID->239827978],
Cell[16582, 573, 1841, 51, 70, "2ColumnTableMod",
 CellID->12695],
Cell[18426, 626, 1062, 28, 70, "Notes",
 CellID->291459538],
Cell[19491, 656, 186, 6, 70, "Notes",
 CellID->197257220],
Cell[CellGroupData[{
Cell[19702, 666, 365, 9, 70, "Input",
 CellID->477983845],
Cell[20070, 677, 269, 6, 54, "Output",
 CellID->59128613]
}, Open  ]],
Cell[20354, 686, 316, 8, 70, "Notes",
 CellID->26009474],
Cell[CellGroupData[{
Cell[20695, 698, 178, 4, 70, "Input",
 CellID->330150412],
Cell[20876, 704, 278, 6, 54, "Output",
 CellID->73572344]
}, Open  ]],
Cell[21169, 713, 216, 9, 70, "Notes",
 CellID->579706542]
}, Open  ]],
Cell[CellGroupData[{
Cell[21422, 727, 293, 7, 70, "ExampleSection",
 CellTags->"EnumeratedOptions",
 CellID->45748516],
Cell[21718, 736, 195, 7, 70, "Notes",
 CellID->19590254],
Cell[21916, 745, 198, 6, 70, "Input",
 CellID->442552855]
}, Open  ]],
Cell[CellGroupData[{
Cell[22151, 756, 294, 7, 70, "ExampleSection",
 CellTags->"EnumeratedOptions",
 CellID->448765882],
Cell[22448, 765, 556, 12, 70, "2ColumnTableMod",
 CellID->48180734],
Cell[23007, 779, 542, 11, 70, "2ColumnTableMod",
 CellID->29424560],
Cell[23552, 792, 643, 14, 70, "2ColumnTableMod",
 CellID->442700228],
Cell[24198, 808, 568, 13, 70, "2ColumnTableMod",
 CellID->423373122]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24827, 828, 490, 14, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->388420081],
Cell[CellGroupData[{
Cell[25342, 846, 194, 6, 70, "ExampleSection",
 CellID->60661062],
Cell[25539, 854, 450, 17, 70, "MathCaption",
 CellID->1825449234],
Cell[CellGroupData[{
Cell[26014, 875, 102, 3, 70, "Input",
 CellID->565066498],
Cell[CellGroupData[{
Cell[26141, 882, 123, 2, 70, "Print",
 CellID->117142341],
Cell[26267, 886, 857, 22, 70, "Print",
 CellID->203384812],
Cell[27127, 910, 435, 11, 70, "Print",
 CellID->8282282],
Cell[27565, 923, 98, 2, 70, "Print",
 CellID->200123708],
Cell[27666, 927, 125, 2, 70, "Print",
 CellID->518008986],
Cell[27794, 931, 877, 21, 70, "Print",
 CellID->511799864],
Cell[28674, 954, 165, 3, 70, "Print",
 CellID->149824193],
Cell[28842, 959, 125, 2, 70, "Print",
 CellID->385871919],
Cell[28970, 963, 875, 21, 70, "Print",
 CellID->3640034],
Cell[29848, 986, 165, 3, 70, "Print",
 CellID->433246495]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[30074, 996, 256, 8, 70, "ExampleSection",
 CellID->250621648],
Cell[CellGroupData[{
Cell[30355, 1008, 283, 8, 70, "ExampleSubsection",
 CellID->316979146],
Cell[30641, 1018, 224, 4, 70, "ExampleText",
 CellID->515986873],
Cell[CellGroupData[{
Cell[30890, 1026, 470, 11, 70, "Input",
 CellID->214176277],
Cell[31363, 1039, 395, 10, 70, "Print",
 CellID->469743775],
Cell[31761, 1051, 428, 14, 54, "Output",
 CellID->82460841]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[32238, 1071, 280, 8, 70, "ExampleSubsection",
 CellID->278150407],
Cell[32521, 1081, 219, 4, 70, "ExampleText",
 CellID->824894262],
Cell[CellGroupData[{
Cell[32765, 1089, 320, 8, 70, "Input",
 CellID->186146929],
Cell[33088, 1099, 413, 10, 70, "Print",
 CellID->533106245],
Cell[33504, 1111, 295, 8, 36, "Output",
 CellID->158878104]
}, Open  ]],
Cell[CellGroupData[{
Cell[33836, 1124, 384, 9, 70, "Input",
 CellID->753650141],
Cell[34223, 1135, 447, 10, 70, "Print",
 CellID->528825357],
Cell[34673, 1147, 295, 8, 36, "Output",
 CellID->472882513]
}, Open  ]],
Cell[CellGroupData[{
Cell[35005, 1160, 420, 10, 70, "Input",
 CellID->48435885],
Cell[35428, 1172, 433, 10, 70, "Print",
 CellID->700460360]
}, Open  ]],
Cell[CellGroupData[{
Cell[35898, 1187, 395, 9, 70, "Input",
 CellID->149770616],
Cell[36296, 1198, 439, 10, 70, "Print",
 CellID->592412315],
Cell[36738, 1210, 294, 8, 36, "Output",
 CellID->45098631]
}, Open  ]],
Cell[37047, 1221, 104, 2, 70, "ExampleText",
 CellID->782332945],
Cell[CellGroupData[{
Cell[37176, 1227, 328, 8, 70, "Input",
 CellID->448393354],
Cell[37507, 1237, 374, 9, 70, "Print",
 CellID->23424792],
Cell[37884, 1248, 213, 7, 36, "Output",
 CellID->13272287]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[38146, 1261, 282, 8, 70, "ExampleSubsection",
 CellID->56533721],
Cell[38431, 1271, 128, 2, 70, "ExampleText",
 CellID->7432632],
Cell[CellGroupData[{
Cell[38584, 1277, 475, 10, 70, "Input",
 CellID->48164538],
Cell[39062, 1289, 455, 10, 70, "Print",
 CellID->180631472],
Cell[39520, 1301, 294, 8, 36, "Output",
 CellID->488964167]
}, Open  ]],
Cell[CellGroupData[{
Cell[39851, 1314, 436, 10, 70, "Input",
 CellID->8199403],
Cell[40290, 1326, 439, 10, 70, "Print",
 CellID->741193932],
Cell[40732, 1338, 293, 8, 36, "Output",
 CellID->11611495]
}, Open  ]],
Cell[41040, 1349, 107, 2, 70, "ExampleText",
 CellID->336507200],
Cell[CellGroupData[{
Cell[41172, 1355, 489, 10, 70, "Input",
 CellID->98018934],
Cell[41664, 1367, 421, 10, 70, "Print",
 CellID->479033624],
Cell[42088, 1379, 212, 7, 36, "Output",
 CellID->41135162]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[42349, 1392, 280, 8, 70, "ExampleSubsection",
 CellID->9802361],
Cell[42632, 1402, 288, 11, 70, "ExampleText",
 CellID->34439295],
Cell[42923, 1415, 868, 22, 70, "Input",
 CellID->81816368],
Cell[43794, 1439, 544, 16, 70, "ExampleText",
 CellID->38407642],
Cell[CellGroupData[{
Cell[44363, 1459, 260, 8, 70, "Input",
 CellID->118460324],
Cell[44626, 1469, 403, 8, 54, "Output",
 CellID->26944221]
}, Open  ]],
Cell[45044, 1480, 190, 3, 70, "ExampleText",
 CellID->298344496],
Cell[CellGroupData[{
Cell[45259, 1487, 408, 9, 70, "Input",
 CellID->620075524],
Cell[45670, 1498, 841, 16, 70, "Print",
 CellID->121066221],
Cell[46514, 1516, 556, 12, 71, "Output",
 CellID->184264145]
}, Open  ]],
Cell[47085, 1531, 292, 4, 70, "ExampleText",
 CellID->308399714],
Cell[CellGroupData[{
Cell[47402, 1539, 344, 8, 70, "Input",
 CellID->6464956],
Cell[47749, 1549, 423, 10, 70, "Print",
 CellID->523983806],
Cell[48175, 1561, 319, 9, 36, "Output",
 CellID->146125901]
}, Open  ]],
Cell[48509, 1573, 204, 7, 70, "ExampleText",
 CellID->593409256],
Cell[48716, 1582, 244, 4, 70, "ExampleText",
 CellID->426596392],
Cell[CellGroupData[{
Cell[48985, 1590, 477, 10, 70, "Input",
 CellID->180529662],
Cell[49465, 1602, 849, 16, 70, "Print",
 CellID->342093021],
Cell[50317, 1620, 576, 12, 88, "Output",
 CellID->1004973646]
}, Open  ]],
Cell[CellGroupData[{
Cell[50930, 1637, 501, 12, 70, "Input",
 CellID->252846904],
Cell[51434, 1651, 510, 11, 70, "Print",
 CellID->46649608],
Cell[51947, 1664, 401, 10, 54, "Output",
 CellID->446181110]
}, Open  ]],
Cell[52363, 1677, 192, 4, 70, "ExampleText",
 CellTags->"InsertValues",
 CellID->104620295],
Cell[CellGroupData[{
Cell[52580, 1685, 318, 10, 70, "Input",
 CellID->453969814],
Cell[52901, 1697, 208, 5, 36, "Output",
 CellID->83886969]
}, Open  ]],
Cell[53124, 1705, 837, 27, 70, "ExampleText",
 CellID->185542181],
Cell[CellGroupData[{
Cell[53986, 1736, 207, 7, 70, "Input",
 CellID->463558094],
Cell[54196, 1745, 327, 7, 54, "Output",
 CellID->35661154]
}, Open  ]],
Cell[CellGroupData[{
Cell[54560, 1757, 443, 10, 70, "Input",
 CellID->8922180],
Cell[55006, 1769, 806, 16, 70, "Print",
 CellID->36168932],
Cell[55815, 1787, 575, 12, 88, "Output",
 CellID->106835321]
}, Open  ]],
Cell[56405, 1802, 117, 3, 70, "ExampleText",
 CellID->402833583],
Cell[CellGroupData[{
Cell[56547, 1809, 489, 12, 70, "Input",
 CellID->4279078],
Cell[57039, 1823, 549, 12, 70, "Print",
 CellID->336375147],
Cell[57591, 1837, 571, 12, 88, "Output",
 CellID->208141982]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[58211, 1855, 280, 8, 70, "ExampleSubsection",
 CellID->272651785],
Cell[58494, 1865, 219, 4, 70, "ExampleText",
 CellID->57906341],
Cell[CellGroupData[{
Cell[58738, 1873, 496, 11, 70, "Input",
 CellID->3985067],
Cell[59237, 1886, 463, 11, 70, "Print",
 CellID->428693505],
Cell[59703, 1899, 333, 9, 36, "Output",
 CellID->322603359]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[60085, 1914, 282, 8, 70, "ExampleSubsection",
 CellID->24025313],
Cell[60370, 1924, 337, 5, 70, "ExampleText",
 CellID->67762327],
Cell[60710, 1931, 145, 3, 70, "ExampleText",
 CellID->706135773],
Cell[CellGroupData[{
Cell[60880, 1938, 503, 11, 70, "Input",
 CellID->340940696],
Cell[61386, 1951, 445, 10, 70, "Print",
 CellID->251314856],
Cell[61834, 1963, 363, 9, 54, "Output",
 CellID->18934875]
}, Open  ]],
Cell[CellGroupData[{
Cell[62234, 1977, 388, 9, 70, "Input",
 CellID->743316927],
Cell[62625, 1988, 473, 11, 70, "Print",
 CellID->285713211],
Cell[63101, 2001, 335, 9, 36, "Output",
 CellID->374171958]
}, Open  ]],
Cell[CellGroupData[{
Cell[63473, 2015, 504, 11, 70, "Input",
 CellID->378726370],
Cell[63980, 2028, 453, 10, 70, "Print",
 CellID->3727685],
Cell[64436, 2040, 364, 9, 54, "Output",
 CellID->905494]
}, Open  ]],
Cell[CellGroupData[{
Cell[64837, 2054, 384, 9, 70, "Input",
 CellID->186049008],
Cell[65224, 2065, 415, 10, 70, "Print",
 CellID->257394770],
Cell[65642, 2077, 338, 9, 36, "Output",
 CellID->456667289]
}, Open  ]],
Cell[65995, 2089, 616, 9, 70, "ExampleText",
 CellID->65748183],
Cell[CellGroupData[{
Cell[66636, 2102, 486, 11, 70, "Input",
 CellID->549972430],
Cell[67125, 2115, 532, 12, 70, "Print",
 CellID->18330123],
Cell[67660, 2129, 363, 9, 54, "Output",
 CellID->57278292]
}, Open  ]],
Cell[68038, 2141, 235, 5, 70, "ExampleText",
 CellID->34720817],
Cell[CellGroupData[{
Cell[68298, 2150, 456, 10, 70, "Input",
 CellID->254584266],
Cell[68757, 2162, 457, 10, 70, "Print",
 CellID->244230326],
Cell[69217, 2174, 597, 12, 360, "Output",
 CellID->643003214]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[69863, 2192, 279, 8, 70, "ExampleSubsection",
 CellID->140665268],
Cell[70145, 2202, 87, 1, 70, "ExampleText",
 CellID->133885316],
Cell[70235, 2205, 415, 10, 70, "Input",
 CellID->106005306],
Cell[70653, 2217, 418, 10, 70, "Input",
 CellID->207337756],
Cell[71074, 2229, 298, 5, 70, "ExampleText",
 CellID->64032220],
Cell[71375, 2236, 264, 4, 70, "ExampleText",
 CellID->534524053],
Cell[CellGroupData[{
Cell[71664, 2244, 428, 10, 70, "Input",
 CellID->447479685],
Cell[72095, 2256, 452, 10, 70, "Print",
 CellID->15583785],
Cell[72550, 2268, 406, 10, 54, "Output",
 CellID->353320058]
}, Open  ]],
Cell[72971, 2281, 196, 4, 70, "ExampleText",
 CellID->52447165],
Cell[73170, 2287, 199, 3, 70, "ExampleText",
 CellID->390920991],
Cell[73372, 2292, 432, 12, 70, "Input",
 CellID->166481020],
Cell[CellGroupData[{
Cell[73829, 2308, 549, 12, 70, "Input",
 CellID->29108739],
Cell[74381, 2322, 453, 10, 70, "Print",
 CellID->563195627],
Cell[74837, 2334, 433, 10, 54, "Output",
 CellID->45116876]
}, Open  ]],
Cell[75285, 2347, 197, 3, 70, "ExampleText",
 CellID->609087964],
Cell[CellGroupData[{
Cell[75507, 2354, 525, 13, 70, "Input",
 CellID->7847186],
Cell[76035, 2369, 553, 12, 70, "Print",
 CellID->319618485],
Cell[76591, 2383, 495, 11, 88, "Output",
 CellID->7636651]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[77135, 2400, 279, 8, 70, "ExampleSubsection",
 CellID->212652573],
Cell[77417, 2410, 315, 5, 70, "ExampleText",
 CellID->398791406],
Cell[CellGroupData[{
Cell[77757, 2419, 583, 16, 70, "Input",
 CellID->31826],
Cell[78343, 2437, 994, 18, 70, "Print",
 CellID->708831738],
Cell[79340, 2457, 424, 10, 54, "Output",
 CellID->94126111]
}, Open  ]],
Cell[79779, 2470, 230, 4, 70, "ExampleText",
 CellID->197842509],
Cell[CellGroupData[{
Cell[80034, 2478, 357, 8, 70, "Input",
 CellID->3281],
Cell[80394, 2488, 431, 10, 70, "Print",
 CellID->464467123],
Cell[80828, 2500, 294, 8, 36, "Output",
 CellID->184906942]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[81183, 2515, 259, 8, 70, "ExampleSection",
 CellID->181574905],
Cell[CellGroupData[{
Cell[81467, 2527, 285, 8, 70, "ExampleSubsection",
 CellID->36611070],
Cell[81755, 2537, 197, 3, 70, "ExampleText",
 CellID->489969174],
Cell[81955, 2542, 120, 3, 70, "ExampleText",
 CellID->330793683],
Cell[CellGroupData[{
Cell[82100, 2549, 456, 11, 70, "Input",
 CellID->696168301],
Cell[82559, 2562, 493, 11, 70, "Print",
 CellID->651289536],
Cell[83055, 2575, 212, 7, 36, "Output",
 CellID->293332466]
}, Open  ]],
Cell[CellGroupData[{
Cell[83304, 2587, 426, 9, 70, "Input",
 CellID->787626537],
Cell[83733, 2598, 447, 10, 70, "Print",
 CellID->245252086],
Cell[84183, 2610, 212, 7, 36, "Output",
 CellID->759058585]
}, Open  ]],
Cell[84410, 2620, 93, 1, 70, "ExampleText",
 CellID->11993676],
Cell[CellGroupData[{
Cell[84528, 2625, 459, 11, 70, "Input",
 CellID->24890243],
Cell[84990, 2638, 471, 11, 70, "Print",
 CellID->864311456],
Cell[85464, 2651, 211, 7, 36, "Output",
 CellID->90560943]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[85724, 2664, 283, 8, 70, "ExampleSubsection",
 CellID->409177094],
Cell[86010, 2674, 193, 3, 70, "ExampleText",
 CellID->56512676],
Cell[CellGroupData[{
Cell[86228, 2681, 490, 10, 70, "Input",
 CellID->610726695],
Cell[86721, 2693, 435, 10, 70, "Print",
 CellID->176421976],
Cell[87159, 2705, 212, 7, 36, "Output",
 CellID->224586240]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[87420, 2718, 286, 8, 70, "ExampleSubsection",
 CellID->757698320],
Cell[87709, 2728, 211, 3, 70, "ExampleText",
 CellID->32358624],
Cell[CellGroupData[{
Cell[87945, 2735, 574, 11, 70, "Input",
 CellID->94215897],
Cell[88522, 2748, 472, 11, 70, "Print",
 CellID->62099064],
Cell[88997, 2761, 211, 7, 36, "Output",
 CellID->56643107]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[89257, 2774, 286, 8, 70, "ExampleSubsection",
 CellID->609940359],
Cell[89546, 2784, 373, 6, 70, "ExampleText",
 CellID->624051007],
Cell[CellGroupData[{
Cell[89944, 2794, 520, 11, 70, "Input",
 CellID->326795990],
Cell[90467, 2807, 419, 10, 70, "Print",
 CellID->389687445],
Cell[90889, 2819, 294, 8, 36, "Output",
 CellID->365141488]
}, Open  ]],
Cell[91198, 2830, 147, 4, 70, "ExampleText",
 CellID->284451177],
Cell[CellGroupData[{
Cell[91370, 2838, 490, 11, 70, "Input",
 CellID->461218484],
Cell[91863, 2851, 449, 10, 70, "Print",
 CellID->261776505],
Cell[92315, 2863, 294, 8, 36, "Output",
 CellID->159038880]
}, Open  ]],
Cell[92624, 2874, 244, 4, 70, "ExampleText",
 CellID->36501160],
Cell[CellGroupData[{
Cell[92893, 2882, 483, 10, 70, "Input",
 CellID->936479508],
Cell[93379, 2894, 439, 10, 70, "Print",
 CellID->28781977],
Cell[93821, 2906, 294, 8, 36, "Output",
 CellID->517849868]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[94164, 2920, 284, 8, 70, "ExampleSubsection",
 CellID->685635812],
Cell[94451, 2930, 258, 4, 70, "ExampleText",
 CellID->313241233],
Cell[94712, 2936, 870, 29, 70, "ExampleText",
 CellID->226867491],
Cell[95585, 2967, 698, 19, 70, "Input",
 CellID->394654616],
Cell[96286, 2988, 176, 6, 70, "ExampleText",
 CellID->562161299],
Cell[CellGroupData[{
Cell[96487, 2998, 408, 9, 70, "Input",
 CellID->687768503],
Cell[96898, 3009, 963, 17, 70, "Print",
 CellID->215934525],
Cell[97864, 3028, 556, 12, 71, "Output",
 CellID->219847444]
}, Open  ]],
Cell[98435, 3043, 591, 17, 70, "Input",
 CellID->92056934],
Cell[CellGroupData[{
Cell[99051, 3064, 458, 10, 70, "Input",
 CellID->299785553],
Cell[99512, 3076, 969, 17, 70, "Print",
 CellID->548816734],
Cell[100484, 3095, 557, 12, 71, "Output",
 CellID->2000609]
}, Open  ]],
Cell[101056, 3110, 265, 4, 70, "ExampleText",
 CellID->119635270],
Cell[101324, 3116, 97, 1, 70, "ExampleText",
 CellID->572069266],
Cell[101424, 3119, 682, 18, 70, "Input",
 CellID->23241247],
Cell[CellGroupData[{
Cell[102131, 3141, 505, 11, 70, "Input",
 CellID->172279099],
Cell[102639, 3154, 870, 16, 70, "Print",
 CellID->741820139],
Cell[103512, 3172, 584, 12, 71, "Output",
 CellID->399490980]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[104157, 3191, 254, 8, 70, "ExampleSection",
 CellID->1347504],
Cell[CellGroupData[{
Cell[104436, 3203, 281, 8, 70, "ExampleSubsection",
 CellID->236602702],
Cell[104720, 3213, 106, 2, 70, "ExampleText",
 CellID->34303378],
Cell[CellGroupData[{
Cell[104851, 3219, 379, 10, 70, "Input",
 CellID->264293119],
Cell[105233, 3231, 343, 8, 70, "Print",
 CellID->588739666],
Cell[105579, 3241, 10363, 263, 161, "Output",
 CellID->389347454]
}, Open  ]],
Cell[115957, 3507, 593, 20, 70, "ExampleText",
 CellID->258959764],
Cell[CellGroupData[{
Cell[116575, 3531, 287, 8, 70, "Input",
 CellID->1938064],
Cell[116865, 3541, 4057, 104, 190, "Output",
 CellID->499949870]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[120971, 3651, 282, 8, 70, "ExampleSubsection",
 CellID->31465665],
Cell[121256, 3661, 107, 2, 70, "ExampleText",
 CellID->55725431],
Cell[CellGroupData[{
Cell[121388, 3667, 354, 10, 70, "Input",
 CellID->695998994],
Cell[121745, 3679, 365, 9, 70, "Print",
 CellID->109731945],
Cell[122113, 3690, 10306, 258, 179, "Output",
 CellID->210939498]
}, Open  ]],
Cell[132434, 3951, 523, 17, 70, "ExampleText",
 CellID->765206859],
Cell[CellGroupData[{
Cell[132982, 3972, 300, 8, 70, "Input",
 CellID->733861099],
Cell[133285, 3982, 16368, 399, 422, "Output",
 CellID->362188288]
}, Open  ]],
Cell[149668, 4384, 137, 2, 70, "ExampleText",
 CellID->273315728],
Cell[CellGroupData[{
Cell[149830, 4390, 222, 6, 70, "Input",
 CellID->34913317],
Cell[150055, 4398, 358, 8, 70, "Print",
 CellID->952348698],
Cell[150416, 4408, 365, 9, 54, "Output",
 CellID->428550795]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[150830, 4423, 279, 8, 70, "ExampleSubsection",
 CellID->48995154],
Cell[151112, 4433, 143, 3, 70, "ExampleText",
 CellTags->"getClass",
 CellID->72000305],
Cell[CellGroupData[{
Cell[151280, 4440, 386, 9, 70, "Input",
 CellID->113697542],
Cell[151669, 4451, 373, 9, 70, "Print",
 CellID->278231359],
Cell[152045, 4462, 962, 17, 139, "Output",
 CellID->61285]
}, Open  ]],
Cell[153022, 4482, 523, 17, 70, "ExampleText",
 CellID->282846910],
Cell[CellGroupData[{
Cell[153570, 4503, 145, 4, 70, "Input",
 CellID->27991777],
Cell[153718, 4509, 5062, 124, 289, "Output",
 CellID->490413785]
}, Open  ]],
Cell[158795, 4636, 351, 10, 70, "ExampleText",
 CellID->145027620],
Cell[CellGroupData[{
Cell[159171, 4650, 281, 8, 70, "Input",
 CellID->36192946],
Cell[159455, 4660, 2698, 62, 114, "Output",
 CellID->27917765]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[162202, 4728, 281, 8, 70, "ExampleSubsection",
 CellID->109037700],
Cell[162486, 4738, 254, 4, 70, "ExampleText",
 CellID->161172005],
Cell[CellGroupData[{
Cell[162765, 4746, 346, 8, 70, "Input",
 CellID->44694905],
Cell[163114, 4756, 375, 9, 70, "Print",
 CellID->645306659],
Cell[163492, 4767, 530, 11, 71, "Output",
 CellID->117554265]
}, Open  ]],
Cell[CellGroupData[{
Cell[164059, 4783, 104, 3, 70, "Input",
 CellID->65905183],
Cell[164166, 4788, 3489, 81, 269, "Output",
 CellID->211559031]
}, Open  ]],
Cell[167670, 4872, 226, 4, 70, "ExampleText",
 CellID->7815243],
Cell[CellGroupData[{
Cell[167921, 4880, 546, 12, 70, "Input",
 CellID->451746277],
Cell[168470, 4894, 530, 12, 70, "Print",
 CellID->244984129],
Cell[169003, 4908, 696, 14, 88, "Output",
 CellID->689747731]
}, Open  ]],
Cell[CellGroupData[{
Cell[169736, 4927, 312, 10, 70, "Input",
 CellID->115268336],
Cell[170051, 4939, 2759, 62, 114, "Output",
 CellID->80228517]
}, Open  ]],
Cell[CellGroupData[{
Cell[172847, 5006, 552, 15, 70, "Input",
 CellID->60796655],
Cell[173402, 5023, 420, 10, 70, "Print",
 CellID->44601717],
Cell[173825, 5035, 2279, 51, 161, "Output",
 CellID->118738126]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[176153, 5092, 279, 8, 70, "ExampleSubsection",
 CellID->357444667],
Cell[176435, 5102, 258, 4, 70, "ExampleText",
 CellID->187227985],
Cell[CellGroupData[{
Cell[176718, 5110, 377, 10, 70, "Input",
 CellID->197486948],
Cell[177098, 5122, 459, 10, 70, "Print",
 CellID->510616548],
Cell[177560, 5134, 738, 14, 122, "Output",
 CellID->47932984]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[178359, 5155, 256, 8, 70, "ExampleSection",
 CellID->870169581],
Cell[CellGroupData[{
Cell[178640, 5167, 283, 8, 70, "ExampleSubsection",
 CellID->630707372],
Cell[178926, 5177, 143, 3, 70, "ExampleText",
 CellID->249686915],
Cell[CellGroupData[{
Cell[179094, 5184, 401, 9, 70, "Input",
 CellID->681988968],
Cell[179498, 5195, 365, 9, 70, "Print",
 CellID->129745950],
Cell[179866, 5206, 212, 7, 36, "Output",
 CellID->125185783]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[180127, 5219, 280, 8, 70, "ExampleSubsection",
 CellID->533642582],
Cell[180410, 5229, 288, 4, 70, "ExampleText",
 CellID->316028126],
Cell[CellGroupData[{
Cell[180723, 5237, 331, 8, 70, "Input",
 CellID->207215180],
Cell[181057, 5247, 411, 10, 70, "Print",
 CellID->119163834],
Cell[181471, 5259, 296, 8, 36, "Output",
 CellID->48188995]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[181816, 5273, 283, 8, 70, "ExampleSubsection",
 CellID->608456401],
Cell[182102, 5283, 289, 5, 70, "ExampleText",
 CellID->30703752],
Cell[CellGroupData[{
Cell[182416, 5292, 428, 9, 70, "Input",
 CellID->703392179],
Cell[182847, 5303, 441, 10, 70, "Print",
 CellID->424004464],
Cell[183291, 5315, 212, 7, 36, "Output",
 CellID->422937805]
}, Open  ]],
Cell[183518, 5325, 171, 3, 70, "ExampleText",
 CellID->268371351],
Cell[CellGroupData[{
Cell[183714, 5332, 418, 9, 70, "Input",
 CellID->64973610],
Cell[184135, 5343, 437, 10, 70, "Print",
 CellID->718755871],
Cell[184575, 5355, 294, 8, 36, "Output",
 CellID->562421807]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[184918, 5369, 282, 8, 70, "ExampleSubsection",
 CellID->182127033],
Cell[185203, 5379, 265, 4, 70, "ExampleText",
 CellID->39048696],
Cell[CellGroupData[{
Cell[185493, 5387, 472, 10, 70, "Input",
 CellID->41635915],
Cell[185968, 5399, 415, 10, 70, "Print",
 CellID->661213009],
Cell[186386, 5411, 294, 8, 36, "Output",
 CellID->183842285]
}, Open  ]],
Cell[186695, 5422, 226, 4, 70, "ExampleText",
 CellID->741938735],
Cell[CellGroupData[{
Cell[186946, 5430, 335, 8, 70, "Input",
 CellID->703250838],
Cell[187284, 5440, 431, 10, 70, "Print",
 CellID->515082796],
Cell[187718, 5452, 294, 8, 36, "Output",
 CellID->136133794]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[188061, 5466, 284, 8, 70, "ExampleSubsection",
 CellID->52354575],
Cell[188348, 5476, 180, 3, 70, "ExampleText",
 CellID->59674047],
Cell[CellGroupData[{
Cell[188553, 5483, 414, 9, 70, "Input",
 CellID->53260414],
Cell[188970, 5494, 371, 9, 70, "Print",
 CellID->105760405],
Cell[189344, 5505, 212, 7, 36, "Output",
 CellID->481624593]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[189617, 5519, 257, 8, 70, "ExampleSection",
 CellID->138390976],
Cell[CellGroupData[{
Cell[189899, 5531, 277, 8, 70, "ExampleSubsection",
 CellID->825739110],
Cell[190179, 5541, 134, 2, 70, "ExampleText",
 CellID->564653690],
Cell[CellGroupData[{
Cell[190338, 5547, 303, 8, 70, "Input",
 CellID->587305041],
Cell[190644, 5557, 358, 8, 70, "Print",
 CellID->288404789]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[191051, 5571, 277, 8, 70, "ExampleSubsection",
 CellID->307145003],
Cell[191331, 5581, 158, 3, 70, "ExampleText",
 CellID->45063583],
Cell[CellGroupData[{
Cell[191514, 5588, 303, 8, 70, "Input",
 CellID->188393926],
Cell[191820, 5598, 357, 8, 70, "Print",
 CellID->87610083]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[192238, 5613, 256, 8, 70, "ExampleSection",
 CellID->498015232],
Cell[CellGroupData[{
Cell[192519, 5625, 276, 8, 70, "ExampleSubsection",
 CellID->536203735],
Cell[192798, 5635, 167, 3, 70, "ExampleText",
 CellID->199784609],
Cell[CellGroupData[{
Cell[192990, 5642, 412, 9, 70, "Input",
 CellID->438638312],
Cell[193405, 5653, 395, 10, 70, "Print",
 CellID->231255277],
Cell[193803, 5665, 212, 7, 36, "Output",
 CellID->397537061]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[194064, 5678, 277, 8, 70, "ExampleSubsection",
 CellID->691666921],
Cell[194344, 5688, 137, 2, 70, "ExampleText",
 CellID->681742525],
Cell[CellGroupData[{
Cell[194506, 5694, 207, 6, 70, "Input",
 CellID->100166063],
Cell[194716, 5702, 352, 8, 70, "Print",
 CellID->205967501],
Cell[195071, 5712, 164, 5, 36, "Output",
 CellID->426747511]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[195308, 5725, 429, 12, 70, "MoreAboutSection"],
Cell[195740, 5739, 144, 3, 70, "MoreAbout",
 CellID->514437]
}, Open  ]],
Cell[CellGroupData[{
Cell[195921, 5747, 456, 13, 70, "RelatedLinksSection",
 CellID->1584193535],
Cell[196380, 5762, 337, 10, 70, "RelatedLinks",
 CellID->1038487239]
}, Open  ]],
Cell[196732, 5775, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

